function vqsaveas(hFig)
%SAVEAS Save the file

%   Copyright 1988-2019 The MathWorks, Inc.

% If a file isn't specified, bring up the dialog
ud=get(hFig,'UserData');
file = ud.FileName;
if isempty(file)
    file = '*.vqd';
end
[filename,pathname] = uiputfile(file,'Save VQ Design Session As...','Untitled.vqd');

% Don't save if filename is 0
if filename ~= 0
    file = [pathname filename];
    [filename_tmp, ext] = strtok(filename, '.');
    if isempty(ext)
        file = [file '.vqd'];
    end
    if strcmpi(filename_tmp, 'VQDTOOL')
        errordlg('File name cannot be vqdtool');
        return
    else 
       vqsaveorsaveas(hFig, file,'saveas');        
    end
end
