function c = hdldspblks_control
% hdldspblks_control

% Copyright 2009-2021 The MathWorks, Inc.

c = hdlnewcontrol(mfilename);

%%%%%%%%%%%%%%%%%%%%%%%%%%
%                        %
%SP BLOCKSET BINDINGS    %
%                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%

% Signal Operations
c.defaultFor( ...
  'dspsigops/Repeat', {}, ...
  'hdldspblks.internal.Repeat');

c.defaultFor( ...
  'dspsigops/NCO', {}, ...
  'hdldspblks.internal.NCO');

c.defaultFor( ...
  'dspobslib/Delay', {}, ...
  'hdldspblks.internal.DSPDelay');

c.defaultFor( ...
  'dspsigops/Upsample', {}, ...
  'hdldspblks.internal.Upsample');

c.defaultFor( ...
  'built-in/DownSample', {}, ...
  'hdldspblks.internal.Downsample');

c.defaultFor( ...
  'dspsigops/DC Blocker', {}, ...
  'hdldspblks.internal.DCBlocker');

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% S-Function Filter blocks
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
c.defaultFor( ...
  'dspadpt3/LMS Filter', {}, ...
  'hdldspblks.internal.LMSFilter');
  

% Sources
c.defaultFor( ...
  'dspsrcs4/Sine Wave', {}, ...
  'hdldspblks.internal.SineWave');


% Signal Management/Indexing
c.defaultFor( ...
  'dspindex/Multiport Selector', {}, ...
  'hdldspblks.internal.MultiportSelector');

% S-Function sdspperm2
c.defaultFor( ...
  'dspindex/Variable Selector', {}, ...
  'hdldspblks.internal.VariableSelector');
