function interpolationOrder = getInterpolationOrder(this,~)
%getInterpolationOrder Get the interpolationOrder. This is used by
% Measurements.

%   Copyright 2012-2014 The MathWorks, Inc.

plottype = getPropertyValue(this, 'PlotType');
switch lower(plottype)
    case 'stem'
        interpolationOrder = NaN;
    case 'stairs'
        interpolationOrder = 0;
    otherwise
        interpolationOrder = 1;
end
end
