function propsSchema = getPropsSchema(this,hDlg)
%getPropsSchema Get the propsSchema.

%   Copyright 2012-2014 The MathWorks, Inc.

% Create tabs
mainTab = createMainTab(this, hDlg);
displayTab = createDisplayTab(this, hDlg);
% Return group of tabs
propsSchema.Type = 'tab';
propsSchema.Tabs = {mainTab, displayTab};
propsSchema.TabChangedCallback = 'dsp.scopes.ArrayPlotVisual.onDialogTabChange';
% Set current tab
if strcmpi(this.SelectedDialogTab, 'display')
    propsSchema.ActiveTab = 1;
else
    propsSchema.ActiveTab = 0;
end
end
