function ip = getStyleDialogInput(this,~)
%getStyleDialogInput Get inputs to the style dialog

%   Copyright 2012-2015 The MathWorks, Inc.

ip = this.Displays{1}.getStyle;
ip.SelectedDisplay = 1;
ip.DisplayNames{1, 1} = '1';
hVisParent = getVisualizationParent(this.Application);
ip.FigureColor = get(hVisParent, 'BackgroundColor');
ip.DialogName = this.Application.getDialogTitle(false, 'style');
ip.PlotType = getPropertyValue(this, 'PlotType');
% The possible plot types for Array Plot System object and block are 'Line'
% 'Stairs' and 'Stem'.
ip.PlotTypeEnums = {'Line'; 'Stairs'; 'Stem'};
end