function updatePrintFigure(this,printFig,~)
%updatePrintFigure   Visual-specific update of print figure

%   Copyright 2012-2015 The MathWorks, Inc.

% If MaximizeAxes, tick labels are text objects that do not move, so do not
% allow the user to resize the figure
if this.Displays{1}.MaximizeAxes
    set(printFig, 'Resize', 'off');
end
sendEvent(this.Application, 'FigurePrinted');
end
