function [y,peakValue,peakFreqIdx] = FFTUnfoldExample(u)
% This function is used for the first example from dspunfold help

% Copyright 2015-2021 The MathWorks, Inc.

%#codegen

persistent FFT_RDX2 
if isempty(FFT_RDX2)
    FFT_RDX2 = dsp.FFT('FFTImplementation','Radix-2');
end
y=FFT_RDX2(u);
[peakValue, peakFreqIdx] = max(y.*conj(y));
peakValue = real(peakValue);
