function aboutdspsystbx
%ABOUTDSPSYSTBX Displays the version number of the DSP System Toolbox
% and the copyright notice in a modal dialog box.

% Copyright 1995-2015 The MathWorks, Inc.
 
% Create the version message
tbx = ver('dsp');
msg = sprintf('%s %s\n%s', tbx.Name, tbx.Version, ...
    getString(message('dsp:dsp:copyright',datestr(tbx.Date,'yyyy'))));
% Create a modal dialog box with the message
msgbox(msg, tbx.Name, 'modal');