function outCoeff = polyphaseConversion(coeff,factor)
%

%   Copyright 2020 The MathWorks, Inc.

    if isreal(coeff)
        isReal = 1;
    else
        isReal = 0;
    end
    outCoeff = transpose(firpolyphase(coeff,factor,ceil(length(coeff)/factor)));

    if isReal == 0
        if iscolumn(outCoeff)
            outCoeff = reshape([real(transpose(outCoeff)); imag(transpose(outCoeff))], [], 1);
        else
            outCoeff = reshape([real(outCoeff);imag(outCoeff)], [], 1);
        end
    end

end
