/* Copyright 2019-2020 The MathWorks, Inc. */
#ifndef __FIR_DBL_AVX2_BLK_H__
#define __FIR_DBL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stddef.h>
#include <string.h>
    
void MWDSPCRL_avx2_fir_dbl_real_init_mask(double* coeffs,double* coeffs_rev,size_t coeffs_length,double* initialStates,double* states1,size_t stateSize,size_t initStateSize,size_t num_chan);
void MWDSPCRL_avx2_fir_dbl_real_init_port(double* initialStates,double* states,size_t stateSize,size_t initStateSize,size_t num_chan);
void MWDSPCRL_avx2_fir_dbl_real_mask(double* coeffs,double* coeffs_rev, size_t coeffs_length, const double* in, size_t frame_length,size_t num_chan, double* states, double* out);
void MWDSPCRL_avx2_fir_dbl_real_port(const double* coeffs,double* coeffs_rev, size_t coeffs_length, const double* in, size_t frame_length,size_t num_chan, double* states, double* out);

#ifdef __cplusplus
}
#endif
#endif
