/* Copyright 2019-2020 The MathWorks, Inc. */
#ifndef __FIR_SGL_AVX2_BLK_H__
#define __FIR_SGL_AVX2_BLK_H__
#ifdef __cplusplus
extern "C"{
#endif
#include <stddef.h>
#include <string.h>
    
void MWDSPCRL_avx2_fir_sgl_real_init_mask(float* coeffs,float* coeffs_rev,size_t coeffs_length,float* initialStates, float* states, size_t stateSize,size_t initStateSize,size_t num_chan);
void MWDSPCRL_avx2_fir_sgl_real_init_port(float* initialStates, float* states, size_t stateSize,size_t initStateSize,size_t num_chan);
void MWDSPCRL_avx2_fir_sgl_real_mask(float* coeffs,float* coeffs_rev,size_t coeffs_length , const float* in, size_t frame_length , size_t num_chan, float* states, float* out);
void MWDSPCRL_avx2_fir_sgl_real_port(const float* coeffs,float* coeffs_rev,size_t coeffs_length , const float* in, size_t frame_length , size_t num_chan, float* states, float* out);

#ifdef __cplusplus
}
#endif
#endif
