function dspblkFBSubstitution(blkh)
% dspblkFBSubstitution Dynamic dialog function for Fwrd/Bwrd Subst blocks

% Copyright 2017 The MathWorks, Inc.

vis_old = get_param(blkh, 'MaskVisibilities');
vis_new = vis_old;

RealDiagIdx = dspblkGetMaskParamIndicesFromParamNames(blkh, 'RealDiag');

% Update 'RealDiag' mask parameter visibility
if strcmp(get_param(blkh,'Unit'), 'on')
    vis_new{RealDiagIdx} = 'off';
else
    vis_new{RealDiagIdx} = 'on';
end

if ~isequal(vis_old,vis_new)
    set_param(blkh, 'MaskVisibilities', vis_new);
end
