function dspblkMedianDialog(blkh)
% dspblkMedianDialog DSP System Toolbox Median block dialog helper function.

% Copyright 2017 The MathWorks, Inc.

mask_vis_old = get_param(blkh,'MaskVisibilities');
mask_vis_new = mask_vis_old;
dimEdtBoxIdx = dspblkGetMaskParamIndicesFromParamNames(blkh, 'dimension');

if strcmp(get_param(blkh, 'directionMode'), 'Specified dimension')
    mask_vis_new{dimEdtBoxIdx} = 'on';
else
    mask_vis_new{dimEdtBoxIdx} = 'off';
end

if ~isequal(mask_vis_old, mask_vis_new)
    set_param(blkh,'MaskVisibilities',mask_vis_new);
end
