function b = dspmltiFIRDefaultFilter(varargin)
%dspmltiFIRDefaultFilter Compute FIR coefficients for 'Auto' mode
%   Helper function for FIR multirate blocks to compute default
%   coefficients. Syntax: b = dspmltiFIRDefaultFilter(L,M).
%
%   L is the Interpolation factor (Note: use 1 in the case of Decimation)
%   M is the Decimation factor (Note: use 1 in the case of Interpolation)

%#codegen

%   Copyright 2015-2017 The MathWorks, Inc.

b = designMultirateFIR(varargin{:});