function tocdspestimation
% Spectral and linear predictive estimation
% -----------------------------------------
%
%   <a href="matlab:help dsp.SpectrumEstimator        ">dsp.SpectrumEstimator</a>          - Compute estimate of power spectrum using Welch's method
%   <a href="matlab:help dsp.CrossSpectrumEstimator        ">dsp.CrossSpectrumEstimator</a>     - Compute estimate of cross-power spectrum using Welch's method
%   <a href="matlab:help dsp.TransferFunctionEstimator        ">dsp.TransferFunctionEstimator</a>  - Compute estimate of frequency-domain transfer function
%
% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2010-2021 The MathWorks, Inc.
