function tocdspmrfilters
% Simulate and analyze multirate floating-point and fixed-point filters
% ---------------------------------------------------------------------
%
%   <a href="matlab:help dsp.Channelizer                ">dsp.Channelizer</a>                  - Polyphase FFT Analysis Filter Bank
%   <a href="matlab:help dsp.ChannelSynthesizer         ">dsp.ChannelSynthesizer</a>           - Polyphase FFT Synthesis Filter Bank
%   <a href="matlab:help dsp.CICDecimator               ">dsp.CICDecimator</a>                 - Decimate input using Cascaded Integrator-Comb filter
%   <a href="matlab:help dsp.CICInterpolator            ">dsp.CICInterpolator</a>              - Interpolate signal using Cascaded Integrator-Comb filter
%   <a href="matlab:help dsp.CICCompensationDecimator   ">dsp.CICCompensationDecimator</a>     - Compensate for CIC filter using a FIR decimator
%   <a href="matlab:help dsp.CICCompensationInterpolator">dsp.CICCompensationInterpolator</a>  - Compensate for CIC filter using a FIR interpolator
%   <a href="matlab:help dsp.ComplexBandpassDecimator">dsp.ComplexBandpassDecimator</a>     - Complex (one-sided) bandpass decimator
%   <a href="matlab:help dsp.DigitalDownConverter       ">dsp.DigitalDownConverter</a>         - Digitally downconvert input signal
%   <a href="matlab:help dsp.DigitalUpConverter         ">dsp.DigitalUpConverter</a>           - Digitally upconvert input signal
%   <a href="matlab:help dsp.DyadicAnalysisFilterBank   ">dsp.DyadicAnalysisFilterBank</a>     - Dyadic analysis filter bank
%   <a href="matlab:help dsp.DyadicSynthesisFilterBank  ">dsp.DyadicSynthesisFilterBank</a>    - Reconstruct signals from subbands
%   <a href="matlab:help dsp.FilterCascade              ">dsp.FilterCascade</a>                - Cascade filter System objects
%   <a href="matlab:help dsp.FIRDecimator               ">dsp.FIRDecimator</a>                 - FIR polyphase decimator
%   <a href="matlab:help dsp.FIRHalfbandDecimator       ">dsp.FIRHalfbandDecimator</a>         - FIR halfband decimator
%   <a href="matlab:help dsp.FIRHalfbandInterpolator    ">dsp.FIRHalfbandInterpolator</a>      - FIR halfband interpolator
%   <a href="matlab:help dsp.FIRInterpolator            ">dsp.FIRInterpolator</a>              - Polyphase FIR interpolator
%   <a href="matlab:help dsp.FIRRateConverter           ">dsp.FIRRateConverter</a>             - Sample rate converter
%   <a href="matlab:help dsp.IIRHalfbandDecimator       ">dsp.IIRHalfbandDecimator</a>         - IIR halfband decimator
%   <a href="matlab:help dsp.IIRHalfbandInterpolator    ">dsp.IIRHalfbandInterpolator</a>      - IIR halfband interpolator
%   <a href="matlab:help dsp.SubbandAnalysisFilter      ">dsp.SubbandAnalysisFilter</a>        - Decompose signal into high-frequency and low-frequency subbands
%   <a href="matlab:help dsp.SubbandSynthesisFilter     ">dsp.SubbandSynthesisFilter</a>       - Reconstruct signal from high-frequency and low-frequency subbands
%

% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2010-2016 The MathWorks, Inc.
