function tocdspsinks
% Audio sinks, scopes, network interfaces
% ---------------------------------------
%
%   <a href="matlab:help dsp.ArrayPlot      ">dsp.ArrayPlot</a>               - Plot vectors and arrays
%   <a href="matlab:help audioDeviceWriter    ">audioDeviceWriter</a>           - Write audio data to computer's audio device
%   <a href="matlab:help dsp.AudioFileWriter">dsp.AudioFileWriter</a>         - Write audio samples to audio file
%   <a href="matlab:help dsp.BinaryFileWriter  ">dsp.BinaryFileWriter</a>        - Write data to binary file
%   <a href="matlab:help dsp.DynamicFilterVisualizer">dsp.DynamicFilterVisualizer</a> - Plot time-varying magnitude response
%   <a href="matlab:help dsp.LogicAnalyzer  ">dsp.LogicAnalyzer</a>           - Display transitions of signals over time
%   <a href="matlab:help dsp.MatFileWriter  ">dsp.MatFileWriter</a>           - Write MAT files 
%   <a href="matlab:help dsp.SignalSink     ">dsp.SignalSink</a>              - Log simulation data in MATLAB
%   <a href="matlab:help dsp.SpectrumAnalyzer  ">dsp.SpectrumAnalyzer</a>        - Display frequency-domain signals and the frequency spectrum of time-domain signals
%   <a href="matlab:help dsp.TimeScope      ">timescope</a>               - Display time-domain signals
%   <a href="matlab:help dsp.UDPSender      ">dsp.UDPSender</a>               - Send UDP packets to the network
%   <a href="matlab:help dsp.MatrixViewer   ">dsp.MatrixViewer</a>            - Display image from a matrix
%
% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2010-2020 The MathWorks, Inc.
