function [outData] = dspHistogramTransform(inData)
% dspHistogramTransform Forward deprecated 'Inherited' option
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2016 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'operateOver')
        index = i;
        if ~isempty(strfind(InstanceData(i).Value,'Inherited'))
           outData.NewInstanceData(i).Value =  'Each column';
        end
        break;
    end
end

if index == -1
  outData.NewInstanceData(end+1) =  struct('Name', 'operateOver', 'Value', 'Each column');
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');