function thisdisp(this)
%DISP Object display.
  
%   Author: V. Pellissier
%   Copyright 1988-2019 The MathWorks, Inc.

fn = fieldnames(this);

% Reorder the fields. NumSamplesProcessed, ResetStates and States in
% the end.
nidx = [5 4 3 2 8];
if this.PersistentMemory
    nidx = [nidx, 6, 7];
end
fn = fn(nidx);

siguddutils('dispstr', this, fn);

% [EOF]
