function thisdisp(this)
%DISP Object display.
  
%   Author: V. Pellissier
%   Copyright 1988-2019 The MathWorks, Inc.

fn = fieldnames(this);
% Reorder the fields. NumSamplesProcessed, ResetStates and States in
% the end.
nidx = [4 1 2 7];
if this.PersistentMemory
    nidx = [nidx, 5];
end
fn = fn(nidx);

siguddutils('dispstr', this, fn);
disp(this.filterquantizer, 23);

% [EOF]
