function Hnew = interpmergedelays(~,Hvec)
%INTERPMERGEDELAYS   

%   Copyright 2006-2021 The MathWorks, Inc.

Hnew(1) = Hvec(1);
count = 2;
for k = 2:length(Hvec)
    if strcmpi(class(Hvec(k)),'dfilt.delay') && ...
            strcmpi(class(Hvec(k-1)),'dsp.internal.mfilt.firinterp')
        Hnew(count) = dsp.internal.mfilt.firinterp(Hvec(k-1).InterpolationFactor,...
            [zeros(1,Hvec(k).Latency),Hvec(k-1).Numerator]); %#ok<AGROW> 
        count = count + 1;
    elseif  strcmpi(class(Hvec(k)),'dsp.internal.mfilt.firinterp') && ...
            (k == length(Hvec) || ~strcmpi(class(Hvec(k+1)),'dfilt.delay'))
        Hnew(count) = Hvec(k); %#ok<AGROW> 
        count = count + 1;
    end    
end


% [EOF]
