function cSpecCon = getconstructor(this, stype)
%GETCONSTRUCTOR   Get the constructor.

%   Copyright 2005-2019 The MathWorks, Inc.

if nargin < 2
    stype = this.SpecificationType;
end

switch lower(stype)
    case 'n,f,h'
        %#function fspecs.sbarbmagnphase
        cSpecCon = 'fspecs.sbarbmagnphase';
    case 'nb,na,f,h'
        %#function fspecs.sbarbmagnphaseiir
        cSpecCon = 'fspecs.sbarbmagnphaseiir';
    case 'n,b,f,h'
        %#function fspecs.multibandmagnphase
        cSpecCon = 'fspecs.multibandmagnphase';
    otherwise
        error(message('dsp:fdesign:arbmagnphase:getconstructor:internalError'));
end

% [EOF]
