function defaultmethod = getdefaultmethod(this)
%GETDEFAULTMETHOD   Get the defaultmethod.

%   Copyright 2009-2019 The MathWorks, Inc.

switch lower(this.Specification)
    case {'wt'}
        defaultmethod = 'freqsamp';
    case {'wt,class'}
        defaultmethod = 'ansis142';
    otherwise
        error(message('dsp:fdesign:audioweighting:getdefaultmethod:InternalError'));
end


% [EOF]
