function freqs = get_notchfrequencies(this, ~)
%GET_NOTCHFREQUENCIES PreGet function for the 'NotchFrequencies'
%property

%   Copyright 2008-2019 The MathWorks, Inc.

if isequal(lower(this.CombType),'notch')
    freqs = this.CurrentSpecs.PeakNotchFrequencies;
else
    freqs = ('N/A (peaking comb)');
end

% [EOF]
