function validate_iir_designmethod(this,designMethod)
%VALIDATE_IIR_DESIGNMETHOD

%   Copyright 2009-2016 The MathWorks, Inc.

response = this.Response;
if strcmpi(response,'nyquist') || strcmpi(response,'halfband')
    if this.DecimationFactor == 1
        error(message('dsp:fdesign:decimator:validate_iir_designmethod:DecimFactorOneNotSupported',designMethod,lower(response)));
    elseif this.DecimationFactor > 2
        error(message('dsp:fdesign:decimator:validate_iir_designmethod:InvalidDecimFactor',designMethod,lower(response)));
    end
end
