function [F, A, Gd] = getmask(this, fcns, ~, ~)
%GETMASK   Get the mask.

%   Copyright 2005-2019 The MathWorks, Inc.

F = [0 1]*fcns.getfs()/2;
A = fcns.formatapass(0);
Gd = floor(this.FilterOrder/2) + getfracdelay(this.CurrentSpecs);
Gd = [Gd Gd];

% [EOF]
