function delay = set_delay(this, delay)
%SET_DELAY   PreSet function for the 'delay' property.

%   Copyright 2005-2019 The MathWorks, Inc.

if delay<0
    error(message('dsp:fdesign:fracdelay:set_delay:InvalidFracDelay'));
end

if isprop(this.CurrentSpecs, 'privFracDelay')
    this.CurrentSpecs.privFracDelay = delay;
end

% [EOF]
