function d = designopts(this, varargin)
%DESIGNOPTS   

%   Copyright 2005-2016 The MathWorks, Inc.

d = designopts(this.CurrentFDesign, varargin{:});

if isfield(d,'FilterStructure')
    % Replace structure with multirate structure
    switch d.FilterStructure
        case 'dffir'
            d.FilterStructure = 'firinterp';
        case 'cascadeallpass'
            d.FilterStructure = 'iirinterp';
    end
end



% [EOF]
