function cSpecCon = getconstructor(this, stype)
%GETCONSTRUCTOR   Get the constructor.

%   Copyright 2007-2019 The MathWorks, Inc.

if nargin < 2
    stype = this.SpecificationType;
end

switch lower(stype)
    case 'np'
        %#function fspecs.fdsrcword
        cSpecCon = 'fspecs.fdsrcword';
    otherwise
        error(message('dsp:fdesign:polysrc:getconstructor:internalError'));
end


% [EOF]

