function validatercf(this, ifactor, dfactor)
%VALIDATERCF   Validate the rcf

%   Copyright 2005-2016 The MathWorks, Inc.

if nargin < 3
    dfactor = this.DecimationFactor;
    if nargin < 2
        ifactor = this.InterpolationFactor;
    end
end

g = gcd(ifactor,dfactor);

if g > 1
    error(message('dsp:fdesign:rsrc:validatercf:filterdesign:srconvert:primefactors', 'L', 'M', 'InterpolationFactor', ifactor/g, 'DecimationFactor', dfactor/g)); 
end


% [EOF]
