classdef (Abstract) abstracteqriphb < fmethod.abstracteqrip
%fdfmethod.abstracteqriphb class
%   fdfmethod.abstracteqriphb extends fmethod.abstracteqrip.
%
%    fdfmethod.abstracteqriphb properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.abstracteqriphb methods:
%       getvalidstructs -   Get the validstructs.
%       set_densityfactor -   PreSet function for the 'densityfactor' property.



    methods  % public methods
    validstructs = getvalidstructs(this)
    densityfactor = set_densityfactor(this,densityfactor)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    b = actualdesign(this,hs)
    Fpass = computefpass(h,hs)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

