classdef (Abstract) abstracteqripmultibandarbmagord < fmethod.abstracteqripmultibandarbmagord
%fdfmethod.abstracteqripmultibandarbmagord class
%   fdfmethod.abstracteqripmultibandarbmagord extends fmethod.abstracteqripmultibandarbmagord.
%
%    fdfmethod.abstracteqripmultibandarbmagord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       B1ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B2ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B3ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B4ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B5ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B6ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B7ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B8ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B9ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B10ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.abstracteqripmultibandarbmagord methods:
%       actualdesign - Perform the actual design.
%       getconstraints - Get constraints for the filter design.
%       multibandFIRGR - Magnitude response function called by firgr
%       parsedesignopts - Parse design options


properties (AbortSet, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase = false;
    %B1FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B1ForcedFrequencyPoints = [];
    %B2FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B2ForcedFrequencyPoints = [];
    %B3FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B3ForcedFrequencyPoints = [];
    %B4FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B4ForcedFrequencyPoints = [];
    %B5FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B5ForcedFrequencyPoints = [];
    %B6FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B6ForcedFrequencyPoints = [];
    %B7FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B7ForcedFrequencyPoints = [];
    %B8FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B8ForcedFrequencyPoints = [];
    %B9FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B9ForcedFrequencyPoints = [];
    %B10FORCEDFREQUENCYPOINTS Property is of type 'double_vector user-defined' 
    B10ForcedFrequencyPoints = [];
end

properties (Access=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVFORCEDFREQPOINTS Property is of type 'bool' (hidden)
    privForcedFreqPoints = false;
end


    methods 
        function set.MaxPhase(obj,value)
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = logical(value);
        end

        function set.B1ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B1ForcedFrequencyPoints = value;
        end

        function set.B2ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B2ForcedFrequencyPoints = value;
        end

        function set.B3ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B3ForcedFrequencyPoints = value;
        end

        function set.B4ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B4ForcedFrequencyPoints = value;
        end

        function set.B5ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B5ForcedFrequencyPoints = value;
        end

        function set.B6ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B6ForcedFrequencyPoints = value;
        end

        function set.B7ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B7ForcedFrequencyPoints = value;
        end

        function set.B8ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B8ForcedFrequencyPoints = value;
        end

        function set.B9ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B9ForcedFrequencyPoints = value;
        end

        function set.B10ForcedFrequencyPoints(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B10ForcedFrequencyPoints = value;
        end

        function set.privForcedFreqPoints(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','privForcedFreqPoints')
        obj.privForcedFreqPoints = value;
        end

    end   % set and get functions 

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    [bandEdgeProps,constraints,FEdges,AEdges,A,F,WBands,W] = getconstraints(this,FEdges,AEdges,A,F,W,constraints,NBands,Fs)
    [DH,DW,WX,FF,FE,devs,constr,erridx,LB,UB,ERRNO] = multibandFIRGR(~,N,FF,FE,GF,W,WP,minPhase,~,AA,A,F,myW)
    [lgrid,phaseStr,N,W,Wcell,constraints] = parsedesignopts(this,hspecs,Fs,realDesignFlag)
end  % public methods 

end  % classdef

