classdef (Abstract) abstractlpnormmultibandarbresponse < fdfmethod.abstractlpnorm
%fdfmethod.abstractlpnormmultibandarbresponse class
%   fdfmethod.abstractlpnormmultibandarbresponse extends fdfmethod.abstractlpnorm.
%
%    fdfmethod.abstractlpnormmultibandarbresponse properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.abstractlpnormmultibandarbresponse methods:
%       get_weights - Get the weights.
%       getsosreorder - Get the sosreorder.


properties (AbortSet, SetObservable, GetObservable)
    %B1WEIGHTS Property is of type 'double_vector user-defined' 
    B1Weights = 1;
    %B2WEIGHTS Property is of type 'double_vector user-defined' 
    B2Weights = 1;
    %B3WEIGHTS Property is of type 'double_vector user-defined' 
    B3Weights = 1;
    %B4WEIGHTS Property is of type 'double_vector user-defined' 
    B4Weights = 1;
    %B5WEIGHTS Property is of type 'double_vector user-defined' 
    B5Weights = 1;
    %B6WEIGHTS Property is of type 'double_vector user-defined' 
    B6Weights = 1;
    %B7WEIGHTS Property is of type 'double_vector user-defined' 
    B7Weights = 1;
    %B8WEIGHTS Property is of type 'double_vector user-defined' 
    B8Weights = 1;
    %B9WEIGHTS Property is of type 'double_vector user-defined' 
    B9Weights = 1;
    %B10WEIGHTS Property is of type 'double_vector user-defined' 
    B10Weights = 1;
end

properties (SetAccess=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %PRIVNBANDS Property is of type 'int' (hidden)
    privNBands
end


    methods 
        function set.B1Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B1Weights = value;
        end

        function set.B2Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B2Weights = value;
        end

        function set.B3Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B3Weights = value;
        end

        function set.B4Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B4Weights = value;
        end

        function set.B5Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B5Weights = value;
        end

        function set.B6Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B6Weights = value;
        end

        function set.B7Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B7Weights = value;
        end

        function set.B8Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B8Weights = value;
        end

        function set.B9Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B9Weights = value;
        end

        function set.B10Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.B10Weights = value;
        end

        function set.privNBands(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','privNBands')
        value = round(value); %  round to obtain an integer
        obj.privNBands = value;
        end

    end   % set and get functions 

    methods  % public methods
    W = get_weights(this,hspecs,nfpts)
    sosreorder = getsosreorder(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    s = thisdesignopts(this,s,N)
end  % possibly private or hidden 

end  % classdef

