classdef (Abstract) abstractmultistage < fmethod.abstractfir
%fdfmethod.abstractmultistage class
%   fdfmethod.abstractmultistage extends fmethod.abstractfir.
%
%    fdfmethod.abstractmultistage properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       rcf - Property is of type 'int'  
%
%    fdfmethod.abstractmultistage methods:
%       ismultistage - Return true if design object is multistage


properties (AbortSet, SetObservable, GetObservable)
    %RCF Property is of type 'int' 
    rcf = 1;
end


    methods 
        function set.rcf(obj,value)
            % DataType = 'int'
        validateattributes(value,{'numeric'},{'scalar'},'','rcf')
        value = round(value); %  round to obtain an integer
        obj.rcf = value;
        end

    end   % set and get functions 

    methods  % public methods
    flag = ismultistage(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    g = factors(this,n)
    help_multistage(this)
    s = thisdesignopts(this,s)
end  % possibly private or hidden 

end  % classdef

