classdef ansis142audioweighta < fdfmethod.abstractansis142audioweight
%fdfmethod.ansis142audioweighta class
%   fdfmethod.ansis142audioweighta extends fdfmethod.abstractansis142audioweight.
%
%    fdfmethod.ansis142audioweighta properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%
%    fdfmethod.ansis142audioweighta methods:



    methods  % constructor block
        function this = ansis142audioweighta 
        %ANSIS142WEIGHTINGA   Construct a ANSIS142AUDIOWEIGHTA object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        % this = fdfmethod.ansis142audioweighta;
        this.DesignAlgorithm = 'ANSI S1.42';
        
        
        end  % ansis142audioweighta
        
    end  % constructor block

    methods (Hidden) % possibly private or hidden
    [z,p,k] = getzeropoles(~)
end  % possibly private or hidden 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

end  % classdef

