classdef ansis142audioweightc < fdfmethod.abstractansis142audioweight
%fdfmethod.ansis142audioweightc class
%   fdfmethod.ansis142audioweightc extends fdfmethod.abstractansis142audioweight.
%
%    fdfmethod.ansis142audioweightc properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%
%    fdfmethod.ansis142audioweightc methods:



    methods  % constructor block
        function this = ansis142audioweightc 
        %ANSIS142WEIGHTINGC   Construct a ANSIS142AUDIOWEIGHTC object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        % this = fdfmethod.ansis142audioweightc;
        this.DesignAlgorithm = 'ANSI S1.42';
        
        
        end  % ansis142audioweightc
        
    end  % constructor block

    methods (Hidden) % possibly private or hidden
    [z,p,k] = getzeropoles(~)
end  
% possibly private or hidden 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

end  % classdef

