classdef bell41099audioweight < fdfmethod.abstractexactrespaudioweight
%fdfmethod.bell41099audioweight class
%   fdfmethod.bell41099audioweight extends fdfmethod.abstractexactrespaudioweight.
%
%    fdfmethod.bell41099audioweight properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%
%    fdfmethod.bell41099audioweight methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.



    methods  % constructor block
        function this = bell41099audioweight 
        %BELL41099AUDIOWEIGHTING Construct a BELL41099AUDIOWEIGHT object.
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        % this = fdfmethod.bell41099audioweight;
        this.DesignAlgorithm = 'Bell 41009';
        
        
        end  % bell41099audioweight
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 

methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hspecs)
    help_exactresp(this)
end  % possibly private or hidden 

end  % classdef

