classdef buttercomblbwgbwnsh < fdfmethod.abstractbuttercomb
%fdfmethod.buttercomblbwgbwnsh class
%   fdfmethod.buttercomblbwgbwnsh extends fdfmethod.abstractbuttercomb.
%
%    fdfmethod.buttercomblbwgbwnsh properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.buttercomblbwgbwnsh methods:
%       getdesignspecs -   Get specs needed for actual design

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = buttercomblbwgbwnsh
        %BUTTERCOMBLBWGBWNSH   Construct a BUTTERCOMBLBWGBWNSH object.
        
        
        % this = fdfmethod.buttercomblbwgbwnsh;
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % buttercomblbwgbwnsh
        
    end  % constructor block

    methods  % public methods
    specs = getdesignspecs(this,hs)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = shelving2comb(this,L,s,g)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

