classdef butterhphalfbandmin < fdfmethod.butterhalfbandmin
%fdfmethod.butterhphalfbandmin class
%   fdfmethod.butterhphalfbandmin extends fdfmethod.butterhalfbandmin.
%
%    fdfmethod.butterhphalfbandmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.butterhphalfbandmin methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = butterhphalfbandmin
        %BUTTERHPHALFBANDMIN Construct a BUTTERHPHALFBANDMIN object

        % this = fdfmethod.butterhphalfbandmin;
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % butterhphalfbandmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

