function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Copyright 2008-2019 The MathWorks, Inc.

examples = {    
    {'Design a N=2 order Butterworth parametric equalizer with center',...
    '% frequency F0 = 0.3, quality factor Qa = 5, reference gain of Gref = 0 dB,',...
    '% and boost gain of G0 = 10 dB.',...
    'd = fdesign.parameq(''N,F0,Qa,Gref,G0'',2,0.3,5,0,10);',...
    'Hd = design(d,''butter'');',...
    'fvtool(Hd)'}
    };

% [EOF]
