classdef ellipbpcutoffwas < fdfmethod.abstractellipbpbscutoffwas
%fdfmethod.ellipbpcutoffwas class
%   fdfmethod.ellipbpcutoffwas extends fdfmethod.abstractellipbpbscutoffwas.
%
%    fdfmethod.ellipbpcutoffwas properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipbpcutoffwas methods:
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellipbpcutoffwas
        %ELLIPBPCUTOFFWAS   Construct an ELLIPBPCUTOFFWAS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellipbpcutoffwas;
        
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % ellipbpcutoffwas
        
    end  % constructor block

    methods  % public methods
    vso = validspecobj(this)
end  % public methods 


methods (Static) % static methods
    this = loadobj(s)
end  % static methods

    methods (Hidden) % possibly private or hidden
    Hd = actualdesign(this,specs)
end  % possibly private or hidden 

end  % classdef

