function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design an elliptic lowpass halfband IIR filter of 11th order',...
    '% and with a stopband attenuation of 60 dB.',...
    'N = 11; % Filter order must be odd',...
    'Ast = 60;',...
    'd = fdesign.halfband(''Type'',''Lowpass'',''N,Ast'',N,Ast);',...
    'Hd = design(d,''ellip'');',...
    'fvtool(Hd)'}};

% [EOF]
