function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

examples = {{ ...
    'Design an elliptic minimum-order IIR Hilbert transformer with',...
    '% a transition width of 0.01 and with a passband peak-to-peak ripple of no more than 1e-5 dB.',...
    'TW = 0.01;',...
    'Ap = 1e-5;',...
    'd = fdesign.hilbert(''TW,Ap'',TW,Ap);',...
    'Hd = design(d,''ellip'');',...
    'fvtool(Hd)'}};

% [EOF]
