classdef elliphphalfbandastop < fdfmethod.elliphalfbandastop
%fdfmethod.elliphphalfbandastop class
%   fdfmethod.elliphphalfbandastop extends fdfmethod.elliphalfbandastop.
%
%    fdfmethod.elliphphalfbandastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.elliphphalfbandastop methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliphphalfbandastop
        %ELLIPHPHALFBANDASTOP Construct an ELLIPHPHALFBANDASTOP object

        % this = fdfmethod.elliphphalfbandastop;
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphphalfbandastop
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

