function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Copyright 2008-2019 The MathWorks, Inc.

examples = {    
    {'Design a N=2 order Elliptical lowpass shelving filter, F0 = 0,',...
    '% with cutoff frequency Fc = 0.3, shelf slope parameter S = 2, and boost gain',...
    '% of G0 = 10 dB ',...
    'd = fdesign.parameq(''N,F0,Fc,S,G0'',2,0,0.3,2,10);',...
    'Hd = design(d,''ellip'');',...
    'fvtool(Hd)'}
    {'Design a N=5 order Elliptical lowpass shelving filter, F0 = 0,',...
    '% with cutoff frequency Fc = 0.3, shelf slope parameter S = 2, and cut gain',...
    '% of G0 = -10 dB ',...
    'd = fdesign.parameq(''N,F0,Fc,S,G0'',5,0,0.3,2,-10);',...
    'Hd = design(d,''ellip'');',...
    'fvtool(Hd)'}
    {'Design a N=2 order Elliptical highpass shelving filter, F0 = 1,',...
    '% with cutoff frequency Fc = 0.7, shelf slope parameter S = 1.5, and boost gain',...
    '% of G0 = 10 dB ',...
    'd = fdesign.parameq(''N,F0,Fc,S,G0'',2,1,0.7,1.5,10);',...
    'Hd = design(d,''ellip'');',...
    'fvtool(Hd)'}    
    };

% [EOF]
