classdef eqriphphbastop < fdfmethod.eqriphbastop
%fdfmethod.eqriphphbastop class
%   fdfmethod.eqriphphbastop extends fdfmethod.eqriphbastop.
%
%    fdfmethod.eqriphphbastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqriphphbastop methods:
%       getexamples - Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriphphbastop
        %EQRIPHPHBASTOP Construct an EQRIPHPHBASTOP object
        
        
        % this = fdfmethod.eqriphphbastop;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphphbastop
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

end  % classdef

