classdef eqripmultibandconstrained < fdfmethod.abstracteqripmultibandarbmagord
%fdfmethod.eqripmultibandconstrained class
%   fdfmethod.eqripmultibandconstrained extends fdfmethod.abstracteqripmultibandarbmagord.
%
%    fdfmethod.eqripmultibandconstrained properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%       MaxPhase - Property is of type 'bool'  
%       B1ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B2ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B3ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B4ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B5ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B6ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B7ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B8ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B9ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%       B10ForcedFrequencyPoints - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.eqripmultibandconstrained methods:
%       getexamples - Get the examples.
%       parseweights - Parse weights
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripmultibandconstrained
        %EQRIPMULTIBANDCONSTRAINED Construct an EQRIPMULTIBANDCONSTRAINED object.
        
        
        % this = fdfmethod.eqripmultibandconstrained;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripmultibandconstrained
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(~)
    [W,Wcell,constraints] = parseweights(this,hspecs)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
    help_weights(~)
    s = reorderdesignoptsstruct(~,s,hspecs)
    m = thiscomplexmethod(~)
    s = thisdesignopts(this,s,hspecs)
    m = thisrealmethod(~)
end  % possibly private or hidden 

end  % classdef

