classdef iirhphalfbandeqripfpass < fdfmethod.iirhalfbandeqripfpass
%fdfmethod.iirhphalfbandeqripfpass class
%   fdfmethod.iirhphalfbandeqripfpass extends fdfmethod.iirhalfbandeqripfpass.
%
%    fdfmethod.iirhphalfbandeqripfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.iirhphalfbandeqripfpass methods:
%       getexamples -   Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirhphalfbandeqripfpass
        %IIRHPHALFBANDEQRIPFPASS Construct an IIRHPHALFBANDEQRIPFPASS object
        %   OUT = IIRHPHALFBANDEQRIPFPASS(ARGS) <long description>
        
        
        % this = fdfmethod.iirhphalfbandeqripfpass;
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirhphalfbandeqripfpass
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

