classdef iirlinphasehilbertmin < fdfmethod.abstractiirlinphasehilbert
%fdfmethod.iirlinphasehilbertmin class
%   fdfmethod.iirlinphasehilbertmin extends fdfmethod.abstractiirlinphasehilbert.
%
%    fdfmethod.iirlinphasehilbertmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.iirlinphasehilbertmin methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirlinphasehilbertmin
        %IIRLINPHASEHILBERTMIN   Construct an IIRLINPHASEHILBERTMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.iirlinphasehilbertmin;
        
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirlinphasehilbertmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hhalf = actualdesign(this,specs)
    help(this)
end  % possibly private or hidden 

end  % classdef

