function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Author(s): V. Pellissier
%   Copyright 2006-2019 The MathWorks, Inc.

examples = {{...
    'Design a linear Lagrange fractional delay filter of 0.2 samples.', ...
    'h = fdesign.fracdelay(0.2,''N'',2);',...
    'Hd = design(h, ''lagrange'', ''FilterStructure'', ''farrowfd'')'}...
    { ...
    'Design a cubic Lagrange fractional delay filter',...
    'Fs = 8000;      % Sampling frequency of 8kHz',...
    'fdelay = 50e-6; % Fractional delay of 50 microseconds.', ...
    'h  = fdesign.fracdelay(fdelay,''N'',3,Fs);', ...
    'Hd = design(h, ''lagrange'', ''FilterStructure'', ''farrowfd'');'}};

% [EOF]
