classdef lpnormmultiband1 < fdfmethod.abstractlpnormmultibandarbresponse
%fdfmethod.lpnormmultiband1 class
%   fdfmethod.lpnormmultiband1 extends fdfmethod.abstractlpnormmultibandarbresponse.
%
%    fdfmethod.lpnormmultiband1 properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.lpnormmultiband1 methods:
%       designargs -   Return the arguments for the design method.
%       getexamples -   Get the examples.
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lpnormmultiband1
        %LPNORMMULTIBAND1   Construct a LPNORMMULTIBAND1 object.
        
        %   Author(s): V. Pellissier
         
        % this = fdfmethod.lpnormmultiband1;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        
        
        end  % lpnormmultiband1
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    vso = validspecobj(~)
end  % public methods 

end  % classdef

