classdef lpnormmultibandarbgrpdelay < fdfmethod.abstractlpnormmultibandarbresponse
%fdfmethod.lpnormmultibandarbgrpdelay class
%   fdfmethod.lpnormmultibandarbgrpdelay extends fdfmethod.abstractlpnormmultibandarbresponse.
%
%    fdfmethod.lpnormmultibandarbgrpdelay properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       B1Weights - Property is of type 'double_vector user-defined'  
%       B2Weights - Property is of type 'double_vector user-defined'  
%       B3Weights - Property is of type 'double_vector user-defined'  
%       B4Weights - Property is of type 'double_vector user-defined'  
%       B5Weights - Property is of type 'double_vector user-defined'  
%       B6Weights - Property is of type 'double_vector user-defined'  
%       B7Weights - Property is of type 'double_vector user-defined'  
%       B8Weights - Property is of type 'double_vector user-defined'  
%       B9Weights - Property is of type 'double_vector user-defined'  
%       B10Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.lpnormmultibandarbgrpdelay methods:
%       actualdesign - Perform the actual design.
%       designargs - Return the arguments for the design method.
%       getexamples -   Get the examples.
%       parseic - Make sure InitDen has the correct length
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lpnormmultibandarbgrpdelay
        %LPNORMMULTIBANDARBGRPDELAY Construct a LPNORMMULTIBANDARBGRPDELAY object.
        
        % this = fdfmethod.lpnormmultibandarbgrpdelay;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        this.MaxPoleRadius = 0.999999;
        
        
        end  % lpnormmultibandarbgrpdelay
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,hspecs,varargin)
    args = designargs(this,hspecs)
    examples = getexamples(~)
    args = parseic(this,args,DenOrder)
    vso = validspecobj(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help_initden(~)
    help_maxpole(~)
    s = thisdesignopts(this,s,N)
end  % possibly private or hidden 

end  % classdef

