classdef lpnormsbarbmag1 < fdfmethod.abstractlpnormsbarbresponse
%fdfmethod.lpnormsbarbmag1 class
%   fdfmethod.lpnormsbarbmag1 extends fdfmethod.abstractlpnormsbarbresponse.
%
%    fdfmethod.lpnormsbarbmag1 properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.lpnormsbarbmag1 methods:
%       designargs - Return the arguments for the design method.
%       getexamples - Get the examples.
%       validspecobj - Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = lpnormsbarbmag1
        %LPNORMSBARBMAG1   Construct a LPNORMSBARBMAG1 object.
        
        %   Author(s): V. Pellissier

        % this = fdfmethod.lpnormsbarbmag1;
        this.DesignAlgorithm = 'IIR Least P-Norm';
        
        end  % lpnormsbarbmag1
        
    end  % constructor block

    methods  % public methods
    args = designargs(this,hspecs)
    examples = getexamples(~)
    vso = validspecobj(~)
end  % public methods 

end  % classdef

