classdef windownyqord < fdfmethod.windowhbord
%fdfmethod.windownyqord class
%   fdfmethod.windownyqord extends fdfmethod.windowhbord.
%
%    fdfmethod.windownyqord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Window - Property is of type 'mxArray'  
%       ScalePassband - Property is of type 'bool'  
%
%    fdfmethod.windownyqord methods:

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = windownyqord
        %WINDOWNYQORD   Construct a WINDOWNYQORD object.
        
        %   Author(s): J. Schickler
        
        % this = fdfmethod.windownyqord;
        
        this.DesignAlgorithm = 'Window';
        
        
        end  % windownyqord
        
    end  % constructor block

    methods (Hidden) % possibly private or hidden
    b = actualdesign(this,hspecs,varargin)
    vso = validspecobj(this)
end  % possibly private or hidden 

end  % classdef

