function [bs,as,h0,error] = iirlpnorm(numOrd,denOrd,edges,f,des,wt,P,density,Ho,BS,AS)
%IIRLPNORM Wrapper for the mex implementation iirlpnormmex

% Copyright 2021 The MathWorks, Inc.

[bs,as,h0,error] = iirlpnormmex(numOrd,denOrd,edges,f,des,wt,P,density,Ho,BS,AS);

% If any of the returned coefficients is not finite, throw an error.
coder.internal.errorIf(~(all(isfinite(bs)) && all(isfinite(as))),'dsp:iirlpnorm:NonFiniteCoeffs')

end

