function [p, v] = abstractcic_info(Hm)
%ABSTRACTCIC_INFO

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

p = {getString(message('signal:dfilt:info:DifferentialDelay')), ...
     getString(message('signal:dfilt:info:NumberofSections')), ...
     getString(message('signal:dfilt:info:InputWordLength')),...
     getString(message('signal:dfilt:info:InputFractionLength')), ...
     getString(message('signal:dfilt:info:OutputWordLength')), ...
     getString(message('signal:dfilt:info:SectionWordLengths'))};

v = {num2str(Hm.DifferentialDelay), num2str(Hm.NumberOfSections), ...
        num2str(Hm.InputWordLength), num2str(Hm.InputFracLength),...
        num2str(Hm.OutputWordLength),num2str(Hm.SectionWordLengths)};

% [EOF]
