function s = dispstr(Hd, varargin)
%DISPSTR Display string of coefficients.
%   DISPSTR(Hd) returns a string that can be used to display the coefficients
%   of discrete-time filter Hd.
%

%   Copyright 2007-2013 The MathWorks, Inc.

s = char({'Coefficients:'
    dispstr(Hd.filterquantizer, Hd.privcoeffs(:), varargin{:})});

% [EOF]
