function abstractfirdecim_loadpublicinterface(this, s)
%ABSTRACTFIRDECIM_LOADPUBLICINTERFACE   Load the public interface.

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

this.DecimationFactor = s.DecimationFactor;

abstract_loadpublicinterface(this, s);

if s.version.number == 0
    if isfield(s, 'PhaseIndex')
        if ~isempty(s.PhaseIndex)
            M = s.DecimationFactor;
            this.InputOffset = mod(M - mod(s.PhaseIndex, M), M);
        end
    end
else
    this.InputOffset = s.InputOffset;
    this.PolyphaseAccum = s.PolyphaseAccum;
end

% [EOF]
