function privfq = set_privfq(this, privfq)
%SET_PRIVFQ   PreSet function for the 'privfq' property.

%   Author(s): J. Schickler
%   Copyright 1999-2019 The MathWorks, Inc.

% Add a listener to the quantizecoeffs event
l = [event.listener(privfq, 'QuantizeCoeffs', @(src,evnt)lcl_super_quantizecoeffs(src, evnt, this)); ...
    event.listener(privfq, 'QuantizeStates', @(src,evnt)lcl_quantizestates(src, evnt, this)); ...
    event.listener(privfq, 'QuantizeAcc', @(src,evnt)lcl_quantizeacc(src, evnt, this))];

% Store listener
this.filterquantizerlisteners = l;


function lcl_super_quantizecoeffs(~, ~,this)

super_quantizecoeffs(this);

function lcl_quantizestates(~, ~,this)

quantizestates(this);

function lcl_quantizeacc(~, ~,this)

quantizestates(this);

% [EOF]
