function thisdisp(obj)
%DISP Object display.
  
%   Author: V. Pellissier
%   Copyright 1988-2004 The MathWorks, Inc.

fn = fieldnames(obj);
N = length(fn);
% Reorder the fields. NumSamplesProcessed, ResetStates and States in
% the end.
ispersistent = obj.PersistentMemory;
if N>8
    nidx = [6 2 5 1 9];
    if ispersistent
        nidx = [nidx, 7, 3, 4];
    end
else
    nidx = [3, 5, 6, 1];
    if ispersistent
        nidx = [nidx, 4, 7, 8];
    end
end
fn = fn(nidx);

siguddutils('dispstr', obj, fn, 20);
disp(obj.filterquantizer, 20);

% [EOF]
