function p = polyphase(this,str)
%POLYPHASE   

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

if nargout 
    if nargin > 1 && strncmpi(str,'objects',length(str))
        p = this.privphase;
    else
        p = this.Polyphase;
    end
else
    h = fvtool(this, 'PolyphaseView', 'On', 'Analysis', 'coefficients'); %#ok<NASGU>
end

% [EOF]
