function deprecationMessage(h,replacementObject)
%DEPRECATIONMESSAGE Post deprecation message during MFILT object
% construction. MFILT objects are deprecated in R2015b and is planned to be
% entirely removed in a future release.
%
% This function currently throws a warning. 

%   Copyright 2015 The MathWorks, Inc.

% Warn with the names of the current MFILT object and the replacement
% System object.

stk = dbstack;
filenames = {stk.name};
throwWarning =  isempty(find(ismember(filenames,'openslx'), 1)) ;
if throwWarning
    warning(message('dsp:mfilt:mfilt:Obsolete',class(h),replacementObject));
end