classdef (Abstract,CaseInsensitiveProperties=true) abstractsiso < mfilt.abstractmultirate
    %ABSTRACTSISO Constructor for this class.
    
    %mfilt.abstractsiso class
    %   mfilt.abstractsiso extends mfilt.abstractmultirate.
    %
    %    mfilt.abstractsiso properties:
    %       PersistentMemory - Property is of type 'bool'
    %       NumSamplesProcessed - capture (read only)
    %       FilterStructure - Property is of type 'ustring'  (read only)
    %       States - Property is of type 'mxArray'
    %
    %    mfilt.abstractsiso methods:
    %       convert -   Convert the multirate object.
    %
    %   Author: V. Pellissier
    %   Copyright 1999-2003 The MathWorks, Inc.
    
    methods  % public methods
        Hm = convert(this,target)
    end  % public methods
    
end  % classdef

