function s = objblockparams(this, varname)
%OBJBLOCKPARAMS   

%   Author(s): R. Losada
%   Copyright 2006-2018 The MathWorks, Inc.

if strcmp(this.blocklib, 'dspobslib')
    % Using obsolete CIC Decimation block and
    % obsolete setting for filter object selection:
    filtFromStr = 'Multirate object in workspace';
else
    % Using current CIC Decimation block and
    % current setting for filter object selection:
    filtFromStr = 'Filter object';
end

s = struct('filtFrom', filtFromStr, 'filtobj', varname);
