%COEFFICIENTS Return the multirate filter coefficients.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   C = COEFFICIENTS(Hd) returns a cell array of coefficients of
%   discrete-time multirate filter Hd.
% 
%   COEFFICIENTS(Hd) with no output argument will display the coefficients
%   in the Command Window.
%
%   See also MFILT, MFILT/FREQZ, MFILT/GRPDELAY, MFILT/IMPZ, MFILT/INFO,
%   MFILT/PHASEZ, MFILT/STEPZ, MFILT/ZEROPHASE, MFILT/ZPLANE, FVTOOL.

%   Copyright 1999-2015 The MathWorks, Inc.

% Help for the filter's COEFFICIENTS method.

% [EOF]
