%COEFFS   Returns the filter coefficients in a structure.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   S = COEFFS(Hd) Returns the filter coefficients of object Hm in the
%   structure S.  The structure will have fields matching the property
%   names in the object Hm.
%
%   If Hm is a multistage object (cascade), the returned structure will
%   contain fields for each of the stages of the multistage filter.

%   Copyright 2006-2022 The MathWorks, Inc.

% Help for the DFILT method COEFFS.

% [EOF]
