%EUCLIDFACTORS Integer factors based on Euclid's theorem.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   [lo,mo] = EUCLIDFACTORS(Hm) returns the integer factors lo and mo such
%   that lo*L-mo*M = -1.  L and M are relatively prime, and represent the
%   interpolation and decimation factors of the multirate filter Hm.
%
% See also MFILT/NSTATES, MFILT/POLYPHASE.

%   Author: P. Pacheco
%   Copyright 1999-2015 The MathWorks, Inc.

% Help for the EUCLIDFACTORS pcoded method.

% [EOF]
