%IMPZLENGTH Length of the impulse response for a multirate filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   IMPZLENGTH(Hm) returns the length of the impulse response of 
%   the filter defined by Hm.
%  
%   IMPZLENGTH(Hd,TOL) will specify the tolerance for greater or 
%   less accuracy.  By default, TOL = 5e-5.

%   Author: P. Costa, J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the p-coded IMPZLENGTH method of MFILT classes.
