%INFO  Multirate filter information.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   S = INFO(Hm) returns a string matrix with information about the filter.
%
%   An optional string argument, 'long' or 'short' can be passed to format
%   the contents of info. The default value is 'short'.
%
%   S = INFO(Hm, 'long') returns detailed information about the filter
%   that includes the design method, options, specifications, measurements
%   and implementation cost.
%
%   S = INFO(Hm, 'short') returns the brief information about filter.
%
%   See also MFILT/COEFFICIENTS, MFILT/ISFIR, MFILT/ISSTABLE, MFILT/ISLINPHASE.

%   Author: R. Losada, J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's INFO pcoded method.
  
% [EOF]
