%ISMAXPHASE  True for maximum-phase multirate filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   ISMAXPHASE(Hm) returns 1 if filter Hm is maximum phase, and 0 otherwise.
%
%   ISMAXPHASE(Hm,TOL) uses tolerance TOL to determine when two numbers are
%   close enough to be considered equal.
%
%   See also MFILT/ISLINPHASE, MFILT/ISMINPHASE, MFILT/ISSTABLE.  
  
%   Author: J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's ISMAXPHASE pcoded method.

% [EOF]
