%POLYPHASE Polyphase decomposition of multirate filters.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   P=POLYPHASE(Hm) returns the polyphase matrix of the multirate filter
%   Hm. The ith row of the matrix P represents the ith subfilter.
%
%   POLYPHASE(Hm) called with no outputs launches the Filter Visualization
%   Tool (FVTool) with all the polyphase subfilters to allow analyses of
%   each component individually.

%   Author: V. Pellissier
%   Copyright 1999-2015 The MathWorks, Inc.
