function createdynprop(this, datatype, intlog, comblog)
%CREATEDYNPROP   

%   Author(s): V. Pellissier
%   Copyright 2005 The MathWorks, Inc.

isdoublelog = false;
if strcmpi(datatype,'double')
    isdoublelog = true;
end

nsec = this.nsections;
for i=1:nsec
    if isdoublelog
        p = this.addprop(['IntSect',num2str(i)]);
        p.NonCopyable = false;
        this.(['IntSect',num2str(i)]) = quantum.doublelog(intlog{i});
        
        p = this.addprop(['CombSect',num2str(i)]);
        p.NonCopyable = false;
        this.(['CombSect',num2str(i)]) = quantum.doublelog(comblog{i});
    else
        p = this.addprop(['IntSect',num2str(i)]);
        p.NonCopyable = false;
        this.(['IntSect',num2str(i)]) = quantum.fixedlog(intlog{i});
        
        p = this.addprop(['CombSect',num2str(i)]);
        p.NonCopyable = false;
        this.(['CombSect',num2str(i)]) = quantum.fixedlog(comblog{i});
        
    end
end


% [EOF]
