classdef(Abstract,CaseInsensitiveProperties=true) abstractfirtreport < quantum.abstractfirreport
    %quantum.abstractfirtreport class
    %   quantum.abstractfirtreport extends quantum.abstractfirreport.
    %
    %    quantum.abstractfirtreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractfirtreport methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %STATES Property is of type 'quantum.abstractlog'  (read only)
        States = [];
    end
    
    
    methods
        function set.States(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','States')
            obj.States = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

