function nonscalar_thisloadobj(this, s)
%NONSCALAR_THISLOADOBJ   

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

out_thisloadobj(this, s);

this.ProductMode = s.ProductMode;
this.AccumMode = s.AccumMode;

if ~strcmpi(this.ProductMode, 'fullprecision')
    this.ProductWordLength = s.ProductWordLength;
end

if ~strcmpi(this.AccumMode, 'fullprecision')
    this.AccumWordLength = s.AccumWordLength;
    this.CastBeforeSum = s.CastBeforeSum;
end

% [EOF]
