classdef(Abstract,CaseInsensitiveProperties=true) abstractiirreport < quantum.abstractreport
    %quantum.abstractiirreport class
    %   quantum.abstractiirreport extends quantum.abstractreport.
    %
    %    quantum.abstractiirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %NUMPROD Property is of type 'quantum.abstractlog'  (read only)
        NumProd = [];
        %DENPROD Property is of type 'quantum.abstractlog'  (read only)
        DenProd = [];
        %NUMACC Property is of type 'quantum.abstractlog'  (read only)
        NumAcc = [];
        %DENACC Property is of type 'quantum.abstractlog'  (read only)
        DenAcc = [];
    end
    
    
    methods
        function set.NumProd(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','NumProd')
            obj.NumProd = value;
        end
        
        function set.DenProd(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','DenProd')
            obj.DenProd = value;
        end
        
        function set.NumAcc(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','NumAcc')
            obj.NumAcc = value;
        end
        
        function set.DenAcc(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','DenAcc')
            obj.DenAcc = value;
        end
        
    end   % set and get functions
end  % classdef

