classdef(CaseInsensitiveProperties=true) dfasymfirreport < quantum.abstractsymfirreport
    %DFASYMFIRREPORT   Construct a DFASYMFIRREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.dfasymfirreport class
    %   quantum.dfasymfirreport extends quantum.abstractsymfirreport.
    %
    %    quantum.dfasymfirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       TapSum - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = dfasymfirreport(datatype,in,out,prod,acc,tapsum)
            parse_inputs(this,datatype,in,out,prod,acc);
            this.TapSum = tapsum;            
        end  % dfasymfirreport
    end  % constructor block
end  % classdef

