classdef(CaseInsensitiveProperties=true) dffirreport < quantum.abstractfirreport
    %DFFIRREPORT   Construct a DFFIRREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.dffirreport class
    %   quantum.dffirreport extends quantum.abstractfirreport.
    %
    %    quantum.dffirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = dffirreport(datatype,in,out,prod,acc)
            narginchk(5,5);
            parse_inputs(this,datatype,in,out,prod,acc);
        end  % dffirreport
    end  % constructor block
end  % classdef

