classdef(CaseInsensitiveProperties=true) dffirtreport < quantum.abstractfirtreport
    %DFFIRTREPORT   Construct a DFFIRTREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.dffirtreport class
    %   quantum.dffirtreport extends quantum.abstractfirtreport.
    %
    %    quantum.dffirtreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = dffirtreport(datatype,in,out,state,prod,acc)
            this.parse_inputs(datatype,in,out,prod,acc);
            this.States = state;
        end  % dffirtreport
    end  % constructor block
end  % classdef

