classdef(CaseInsensitiveProperties=true) dfsymfirreport < quantum.abstractsymfirreport
    %DFSYMFIRREPORT   Construct a DFSYMFIRREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.dfsymfirreport class
    %   quantum.dfsymfirreport extends quantum.abstractsymfirreport.
    %
    %    quantum.dfsymfirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       TapSum - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = dfsymfirreport(datatype,in,out,prod,acc,tapsum)
            parse_inputs(this,datatype,in,out,prod,acc);
            this.TapSum = tapsum;
        end  % dfsymfirreport
    end  % constructor block
end  % classdef

