classdef(CaseInsensitiveProperties=true) firdecimreport < quantum.abstractfirreport
    %FIRDECIMREPORT   Construct a FIRDECIMREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.firdecimreport class
    %   quantum.firdecimreport extends quantum.abstractfirreport.
    %
    %    quantum.firdecimreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = firdecimreport(datatype,in,out,prod,acc)
            narginchk(5,5);
            parse_inputs(this,datatype,in,out,prod,acc);
        end  % firdecimreport
    end  % constructor block
end  % classdef

