classdef(CaseInsensitiveProperties=true) firinterpreport < quantum.abstractfirreport
    %FIRINTERPREPORT   Construct a FIRINTERPREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.firinterpreport class
    %   quantum.firinterpreport extends quantum.abstractfirreport.
    %
    %    quantum.firinterpreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = firinterpreport(datatype,in,out,prod,acc)
            narginchk(5,5);
            parse_inputs(this,datatype,in,out,prod,acc); 
        end  % firinterpreport
    end  % constructor block
end  % classdef

