function thiscopy(this, Hd)
%THISCOPY   Copy the properties defined at this level.

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

this.privoutwl = Hd.privoutwl;
this.privoutfl = Hd.privoutfl;
this.FilterInternals = Hd.FilterInternals;
this.privFilterInternals = Hd.privFilterInternals;
this.privstatewl = Hd.privstatewl;
this.privstatefl = Hd.privstatefl;
this.PolyAccfimath = Hd.PolyAccfimath;

if strcmpi(Hd.FilterInternals,'SpecifyPrecision')
    this.AccumWordLength = Hd.AccumWordLength;
    this.AccumFracLength = Hd.AccumFracLength;
    this.RoundMode= Hd.RoundMode;
    this.OverflowMode = Hd.OverflowMode;
end

% [EOF]
