classdef(CaseInsensitiveProperties=true) linearinterpreport < quantum.abstractfirreport
    %LINEARINTERPREPORT   Construct a LINEARINTERPREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.linearinterpreport class
    %   quantum.linearinterpreport extends quantum.abstractfirreport.
    %
    %    quantum.linearinterpreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = linearinterpreport(datatype,in,out,prod,acc)
            narginchk(5,5);
            parse_inputs(this,datatype,in,out,prod,acc);   
        end  % linearinterpreport
    end  % constructor block
end  % classdef

