classdef(CaseInsensitiveProperties=true) scalarreport < quantum.abstractreport
    %SCALARREPORT   Construct a SCALARREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.scalarreport class
    %   quantum.scalarreport extends quantum.abstractreport.
    %
    %    quantum.scalarreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    
    methods  % constructor block
        function this = scalarreport(datatype,in,out)
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
        end  % scalarreport
    end  % constructor block
end  % classdef

