function intf = setinterpolationfactor(this, intf)
%SETINTERPOLATIONFACTOR   PreSet function for the 'interpolationfactor' property.

%   Copyright 1999-2019 The MathWorks, Inc.

switch lower(this.Type)
    case 'interpolator'
        set(this, 'interpInterpolationFactor', intf);
    case 'decimator'
        return;
    case 'fractional-rate converter'
        set(this, 'srcInterpolationFactor', intf);
end

set(this, 'isDesigned', false);

