function visible_listener(this, varargin)
%VISIBLE_LISTENER   Listener to 'visible'.

%   Copyright 1999-2019 The MathWorks, Inc.

siggui_visible_listener(this, varargin{:});

vis = get(this, 'Visible');

set([getcomponent(this, '-class', 'siggui.fsspecifier') ...
    getcomponent(this, '-class', 'siggui.selector')], 'Visible', vis);

h = get(this, 'Handles');
set(h.interpolationfactor_edit, 'Visible', vis);
set(h.decimationfactor_edit,    'Visible', vis);

if ~strcmpi(this.Implementation, 'cic')
    vis = 'Off';
end
set([h.numberofsections h.numberofsections_lbl h.differentialdelay_lbl ...
    h.differentialdelay], 'Visible', vis);

updateDecimInterpVisbility(this);
