classdef (StrictDefaults)HighpassFilter < dsp.HighpassFilter
    %

    % Copyright 2021 The MathWorks, Inc.
        
    %#codegen
    %#ok<*EMCA>
    methods
        function obj = HighpassFilter(varargin)
            obj@dsp.HighpassFilter(varargin{:});
        end
    end
    %----------------------------------------------------------------------
    methods(Static,Hidden,Access=protected)
        function header = getHeaderImpl
            % MATLAB System block header
            header = matlab.system.display.Header(...
                'dsp.HighpassFilter', ...
                'ShowSourceLink', true, ...
                'Title', getString(message('dsp:system:HPLPFilter:HPBlockName')),...
                'Text',  getString(message('dsp:system:HPLPFilter:HPBlockHeader')));
        end
    end
    %----------------------------------------------------------------------
    methods (Access=protected)
        % Block Icon
        function icon = getIconImpl(~)
            iconStr = getString(message('dsp:system:HPLPFilter:HPBlockIcon'));
            icon = sprintf(iconStr);
        end
    end
end
