classdef (StrictDefaults)LowpassFilter < dsp.LowpassFilter
    %

    % Copyright 2021 The MathWorks, Inc.
        
    %#codegen
    %#ok<*EMCA>
    methods
        function obj = LowpassFilter(varargin)
            obj@dsp.LowpassFilter(varargin{:});
        end
    end
    %----------------------------------------------------------------------
    methods(Static,Access=protected)
        function header = getHeaderImpl
            % MATLAB System block header
            header = matlab.system.display.Header(...
                'dsp.simulink.LowpassFilter', ...
                'ShowSourceLink', true, ...
                'Title', getString(message('dsp:system:HPLPFilter:LPBlockName')),...
                'Text',  getString(message('dsp:system:HPLPFilter:LPBlockHeader')));
        end
    end
    %----------------------------------------------------------------------
    methods (Access=protected)
        % Block Icon
        function icon = getIconImpl(~)
            iconStr = getString(message('dsp:system:HPLPFilter:LPBlockIcon'));
            icon = sprintf(iconStr);
        end
    end
end
