function hfile = render_vqfilemenu(hFig, pos)
%RENDER_VQFILEMENU Render the File menu of the VQ DESIGN (GLA) GUI

% Copyright 1988-2013 The MathWorks, Inc.
strs = {'&File', ...
    '&New Session', ...
    '&Open Session', ...
    '&Save Session', ...
    'Save Session As...', ...
    'Close', ...
    '&Export...', ...
    'Page Setup...', ...
    'Print Setup...', ...
    'Print Preview...', ...
    'Print...', ...
    'Full View Analysis'};
cb = vqfmenu_callbacks(hFig);
cbs = {'', ...
    cb.new, ...
    cb.open, ...
    cb.save, ...
    cb.saveas, ...
    cb.close, ...  
    cb.export, ...
    cb.pagesetup, ... 
    cb.printsetup, ... 
    cb.printpreview, ...
    cb.print, ...
    cb.printtofigure};
tags = {'file', ...
    'newwindow', ...
    'opensession', ...
    'savesession', ...
    'savesessionas', ...
    'close', ...
    'export', ...
    'pagesetup', ...
    'printsetup', ...
    'printpreview', ...
    'print', ...
    'printtofigure'};
sep = {'off', ...
    'off', ...
    'off', ...
    'off', ...
    'off', ...
    'off', ...
    'on', ...
    'on', ...
    'off', ...
    'off', ...
    'off', ...
    'on'};
accel = {'', ...
    'N', ...
    'O', ...
    'S', ...
    '', ...
    'W', ...
    'E', ...
    '', ...
    '', ...
    '', ...
    'P', ...
    ''};
hfile = addmenu(hFig,pos,strs,cbs,tags,sep,accel);

% % [EOF]
