function sysObjMap = hdlsysobjs
% map from System object to HDL implementation

%   Copyright 2011-2021 The MathWorks, Inc.

% This file is evaluated, not executed. Do not count this for code coverage. Do
% not place an 'end' at the end of this file.
sysObjMap = containers.Map;

% DSP Delay
sysObjMap('dsp.Delay') = 'hdldspblks.internal.DSPDelay';

% Min, Max
sysObjMap('dsp.Maximum') = 'hdldefaults.MinMaxTree';
sysObjMap('dsp.Minimum') = 'hdldefaults.MinMaxTree';

% Whitelist of authored objects
sysObjMap('dsp.internal.FIRCombFilter') = 'ALLOW_INSIDE_PIR';
sysObjMap('dsp.DCBlocker') = 'ALWAYS_ALLOW';
sysObjMap('dsp.simulink.DCBlocker') = 'ALWAYS_ALLOW';
sysObjMap('dsp.AnalyticSignal') = 'ALWAYS_ALLOW';

% end
