function dataType = getPropDataType(~,propName)
%getPropDataType DDG protocol method. Return a valid DDG data type Fall out
% of g894809 (change on DDG side), please see the spec for details.
% Override the "getPropDataType" protocol method to mimic the behavior
% before the change.

%   Copyright 2012-2014 The MathWorks, Inc.

switch propName
    case {'SelectedDisplay', 'SelectedDisplayTitle', 'SelectedDisplayXLabel', ...
            'SelectedDisplayMinYLimReal', 'SelectedDisplayMaxYLimReal', ...
            'SelectedDisplayYLabelReal', 'SelectedDisplayMinYLimMag', ...
            'SelectedDisplayMaxYLimMag'}
        dataType = 'string';
    case {'SelectedDisplayLegend', 'SelectedDisplayGrid', 'SelectedDisplayPlotMagPhase'}
        dataType = 'bool';
    otherwise
        dataType = 'invalid';
end
end
