function b = isLegendVisible(this)
%ISLEGENDVISIBLE True if the Legend is visible

%   Copyright 2017 The MathWorks, Inc.

if ~isempty(this.Displays)
    b = uiservices.onOffToLogical(this.Displays{1}.LegendVisibility);
else
    b = false;
end