function onDialogTabChange(hDlg,~,tabInd)
%onDialogTabChange Callback for tab change event of options dialog

%   Copyright 2012-2014 The MathWorks, Inc.

% Make SelectedDialogTab in sync with current tab
hVisual = hDlg.getSource.Application.Visual;
switch tabInd
    case 0
        tab = 'main';
    case 1
        if isa(hDlg.getSource, 'extmgr.ExtensionOptionsDialog')
            tab = 'display';
        else
            tab = 'time';
        end
    case 2
        tab = 'display';
end
hVisual.SelectedDialogTab = tab;
end
