function onEditOptions(this,displayNum)
%onEditOptions Local call back function on editing options

%   Copyright 2012-2014 The MathWorks, Inc.

% Open properties dialog
this.IsOptionsDialogOpen = true;
if nargin<2
    this.SelectedDialogTab = 'main';
else
    this.SelectedDisplay = num2str(displayNum);
    this.SelectedDialogTab = 'display';
end
if isempty(this.DialogFunction)
    editOptions(this.Application.ExtDriver, this);
else
    feval(this.DialogFunction, this);
end

end
