function onSourceRun(this,~,~)
%onSourceRun React to the datasource running.

%   Copyright 2012-2015 The MathWorks, Inc.

% Reset the YExtents because new data is coming in.
hDisplays = this.Displays;
for displayInd = 1:length(hDisplays)
    hDisplay = hDisplays{displayInd};
    reset(hDisplay);
    start(hDisplay);
end

% Refresh properties dialog to disable the widgets non-tunable properties
if this.IsOptionsDialogOpen
    refreshPropertiesDialog(this)
end