function onSynchronousChanged(this,hSource)
%onSynchronousChanged Callback for synchronous change of data source

%   Copyright 2012-2014 The MathWorks, Inc.

if isSynchronous(hSource)
    displayEndTime = hSource.getTimeOfDisplayData;
    hDisplays = this.Displays;
    for displayInd = 1:length(hDisplays)
        hDisplay = hDisplays{displayInd};
        hDisplay.EndTime = displayEndTime;
    end
end
end
