function [success,msg] = postOptionsDialogApply(this,~)
%postOptionsDialogApply Callback fired after the dialog has been applied
% and all widgets with an ObjectProperty have been set.

%   Copyright 2012-2014 The MathWorks, Inc.

success = true;
msg = '';
% Update Y-Limits on all displays.  This is deferred until now
% so that min and max values can be applied at the same time,
% which removes dependence on the order of application.
hDisplays = this.Displays;
for displayInd = 1:length(hDisplays)
    updateYLimits(hDisplays{displayInd});
end
end
