function updateSelectedDisplayProperty(this,varargin)
%updateSelectedDisplayProperty

%   Copyright 2012-2018 The MathWorks, Inc.

% Suppress negative Y values ignored warning, and restore
%  its status on cleanup
onState = warning('off', 'MATLAB:Axes:NegativeLimitsInLogAxis');
c = onCleanup(@() warning(onState));
% Call the super class method
updateSelectedDisplayProperty@matlabshared.scopes.visual.DisplayVisual(this, varargin{:});
refreshPropertiesDialog(this);
end
