function varargout = validate(this,hDlg)
%validate Returns true if this object is valid

%   Copyright 2012-2014 The MathWorks, Inc.

b = true;
exception = MException.empty;
dataSource = this.Application.DataSource;
if isempty(dataSource) || isBufferingSource(dataSource)
    [b,exception] = validateCommonProps(this, hDlg, b, exception);
end
[b,exception] = validateDisplayProps(this, hDlg, b, exception);
if nargout
    varargout = {b, exception};
elseif ~b
    rethrow(exception);
end
end
