function registerDSPExtensions(ext)
%REGISTERDSPEXTENSIONS Define the REGISTERDSPEXTENSIONS class.

%   Copyright 2014-2015 The MathWorks, Inc.

uiscopes.addDataHandler(ext, 'Simulink', 'Video', 'scopeextensions.VideoSLHandler');

% Scope visuals
ext.add('Visuals', 'Array Plot', 'dsp.scopes.ArrayPlotVisual', ...
    uiscopes.message('TextPlotVectors'), ...
    uiscopes.message('ArrayPlotLabel'));

% Measurement tools
uiscopes.registerMeasurement(ext, 'acursors', 'matlabshared.scopes.measurements.ArrayCursors', ...
    'MITimeCursors', 'TTTimeCursors');