function interleavedData = interleaveComplexData(data,Type)
%

%   Copyright 2020 The MathWorks, Inc.

    if Type==0
        %     Type=0 implies Coefficient Conversion
        if isreal(data)
            interleavedData=data;
        else
            interleavedData=interleave(data);
        end
    elseif Type==1
        %     Type=1 implies State Conversion
        interleavedData=interleave(data);
    end
    
    function inData=interleave(data)
        inData = zeros(1, 2*numel(data),class(data));
        inData(1:2:end) = real(data);
        inData(2:2:end) = imag(data);
    end
end