/* Copyright 2020-2021 The MathWorks, Inc. */
#ifndef MATMUL_SGL_AVX2_OPR_H
#define MATMUL_SGL_AVX2_OPR_H

#include <stddef.h>
#include <string.h>
#include "rtwtypes.h"

#ifdef __cplusplus
extern "C" {
#endif

void MWSPCG_sgemm_matmul_avx2(char* transa, char* transb, const int* m32, const int* n32,
	const int* k32, const float* alpha, const float* a, const int* lda32,
	const float* b, const int* ldb32, const float* beta, float* c,
	const int* ldc32);
	
#ifdef __cplusplus
}
#endif


#endif
