function dspblkNormalization(blkh)
% dspblkNormalization Mask dynamic dialog function for Normalization block

% Copyright 2017 The MathWorks, Inc.

mask_vis_old = get_param(blkh,'MaskVisibilities');
mask_vis_new = mask_vis_old;
Dim_ParamIdx = dspblkGetMaskParamIndicesFromParamNames(blkh, 'Dimension');

if strcmp(get_param(blkh,'NormOver'),'Specified dimension')
    mask_vis_new{Dim_ParamIdx} = 'on';
else
    mask_vis_new{Dim_ParamIdx} = 'off';
end

if ~isequal(mask_vis_old, mask_vis_new)
    set_param(blkh,'MaskVisibilities',mask_vis_new);
end

end
