function tocdspstatistics
% Measurements and statistics
% ---------------------------
%
%   <a href="matlab:help dsp.HampelFilter     ">dsp.HampelFilter</a>             - Sliding-window Hampel filter
%   <a href="matlab:help dsp.MedianFilter     ">dsp.MedianFilter</a>             - Moving median of the input
%   <a href="matlab:help dsp.MovingAverage    ">dsp.MovingAverage</a>            - Moving average of input
%   <a href="matlab:help dsp.MovingMaximum    ">dsp.MovingMaximum</a>            - Moving maximum of input
%   <a href="matlab:help dsp.MovingMinimum    ">dsp.MovingMinimum</a>            - Moving minimum of input
%   <a href="matlab:help dsp.MovingRMS        ">dsp.MovingRMS</a>                - Moving RMS of input
%   <a href="matlab:help dsp.MovingStandardDeviation">dsp.MovingStandardDeviation</a>  - Moving standard deviation of input
%   <a href="matlab:help dsp.MovingVariance   ">dsp.MovingVariance</a>           - Moving variance of input
%   <a href="matlab:help dsp.PeakToRMS        ">dsp.PeakToRMS</a>                - Crest factor or peak-to-root-mean-square of vector elements
%   <a href="matlab:help dsp.PulseMetrics     ">dsp.PulseMetrics</a>             - Pulse metrics of bilevel waveforms
%   <a href="matlab:help dsp.StateLevels      ">dsp.StateLevels</a>              - State levels estimation for bilevel waveforms
%   <a href="matlab:help dsp.TransitionMetrics">dsp.TransitionMetrics</a>        - Transition metrics of bilevel waveforms
%   <a href="matlab:help powermeter           ">powermeter</a>                   - Power of input
%
% <a href="matlab: help dsp">DSP System Toolbox TOC</a>

%   Copyright 2011-2021 The MathWorks, Inc.
