function [outData] = dspDifferenceTransform(inData)
% dspDifferenceTransform Forward deprecated 'Inherited' option
%
%   This is an internal function called by Simulink(R) during model load.

% Copyright 2016 The MathWorks, Inc.

InstanceData = inData.InstanceData;
outData.NewInstanceData = InstanceData;

index = -1; % -1 Means not found
for i=1:length(InstanceData)
    if strcmp(InstanceData(i).Name, 'Run')
        index = i;
        if ~isempty(strfind(InstanceData(i).Value,'Inherit'))
           outData.NewInstanceData(i).Value =  'No';
        end
        break;
    end
end

if index == -1
  outData.NewInstanceData(end+1) =  struct('Name', 'Run', 'Value', 'No');
end

outData.NewBlockPath = inData.ForwardingTableEntry.('__slOldName__');