function S = getstates(Hm,~)
%GETSTATES Overloaded get for the States property.

% This should be a private method

%   Author: R. Losada
%   Copyright 1988-2019 The MathWorks, Inc.

Scir = Hm.HiddenStates;

% Circular -> Linear
tapIndex = Hm.TapIndex+1; %1-based indexing
if size(Scir,1)>nstates(Hm)
    S = [Scir(tapIndex+1:end,:); Scir(1:tapIndex-1,:)];
else
    S = Scir;
end
