function defaultmethod = getdefaultmethod(this)
%GETDEFAULTMETHOD   Get the defaultmethod.

%   Copyright 2005-2019 The MathWorks, Inc.

switch this.Specification
    case 'N,F,H'
        defaultmethod = 'freqsamp';
    case 'Nb,Na,F,H'
        defaultmethod = 'iirls';
    case 'N,B,F,H'
        defaultmethod = 'firls';
    otherwise
        error(message('dsp:fdesign:arbmagnphase:getdefaultmethod:InternalError'));
end

% [EOF]
