function validate_iir_designmethod(this,designMethod)
%VALIDATE_IIR_DESIGNMETHOD

%   Copyright 2009-2016 The MathWorks, Inc.

response = this.Response;
if strcmpi(response,'nyquist') || strcmpi(response,'halfband')
    if this.InterpolationFactor == 1
        error(message('dsp:fdesign:interpolator:validate_iir_designmethod:InterpFactorOneNotSupported',designMethod,lower(response)));
    elseif this.InterpolationFactor > 2
        error(message('dsp:fdesign:interpolator:validate_iir_designmethod:InvalidInterpFactor',designMethod,lower(response)));
    end
end
