function setspecs(this, B, varargin)
%SETSPECS   Set the specs.

%   Copyright 2005-2018 The MathWorks, Inc.

if nargin < 2
    return;
end

[varargin{:}] = convertStringsToChars(varargin{:});

if ischar(B)
    error(message('dsp:fdesign:nyquist:setspecs:invalidInput'));
end

this.Band = B;

abstract_setspecs(this, varargin{:});

% [EOF]
