function cSpecCon = getconstructor(this, stype)
%GETCONSTRUCTOR   Get the constructor.

%   Copyright 2005-2019 The MathWorks, Inc.

if nargin < 2
    stype = this.SpecificationType;
end

switch lower(stype)
    case 'n,f0'
        %#function fspecs.octavewordncenterfreq
        cSpecCon = 'fspecs.octavewordncenterfreq';
    otherwise
        error(message('dsp:fdesign:octave:getconstructor:internalError'));
end


% [EOF]

