classdef (Abstract) abstractarbmagaudioweightfir < fmethod.abstractfir
%fdfmethod.abstractarbmagaudioweightfir class
%   fdfmethod.abstractarbmagaudioweightfir extends fmethod.abstractfir.
%
%    fdfmethod.abstractarbmagaudioweightfir properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.abstractarbmagaudioweightfir methods:
%       interpfreqpoints - linear or log-linear interpolation between two frequency
%       validspecobj -   Return the name of the valid specification object.


properties (Access=protected, AbortSet, SetObservable, GetObservable, Hidden)
    %FSPEC Property is of type 'mxArray' (hidden)
    Fspec = [];
    %ASPEC Property is of type 'mxArray' (hidden)
    Aspec = [];
    %REFATTEN Property is of type 'mxArray' (hidden)
    RefAtten = [];
    %REFFREQ Property is of type 'mxArray' (hidden)
    RefFreq = [];
end


    methods 
        function set.Fspec(obj,value)
        obj.Fspec = value;
        end

        function set.Aspec(obj,value)
        obj.Aspec = value;
        end

        function set.RefAtten(obj,value)
        obj.RefAtten = value;
        end

        function set.RefFreq(obj,value)
        obj.RefFreq = value;
        end

    end   % set and get functions 

    methods  % public methods
    [Fv,Av] = interpfreqpoints(this,Flimits,Alimits,interpFactor,type,varargin)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    coeffs = actualdesign(this,hspecs)
    validstructs = fdfvalidstructs(this)
    coeffs = getcoeffs(this,hspecs,hspecsArbMag,fmethodArbMag)
    [hspecsArbMag,fmethodArbMag] = geteqripdesignobjects(this,w)
    [hspecsArbMag,fmethodArbMag] = getfreqsampdesignobjects(this)
    help(this)
end  % possibly private or hidden 

end  % classdef

