function Hd = createobj(this,coeffs)
%CREATEOBJ   Create the filter object from the coefficients.

%   Author(s): R. Losada
%   Copyright 2006-2014 The MathWorks, Inc.

%# function dfilt.df2
%# function dfilt.df1
%# function dfilt.df2t
%# function dfilt.df1t

struct = get(this, 'FilterStructure');
Hd = feval(['dfilt.' struct], coeffs{:});

% [EOF]
