classdef (Abstract) abstractelliphilbert < fdfmethod.abstractellip
%fdfmethod.abstractelliphilbert class
%   fdfmethod.abstractelliphilbert extends fdfmethod.abstractellip.
%
%    fdfmethod.abstractelliphilbert properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.abstractelliphilbert methods:
%       get_structure -   PreGet function for the 'structure' property.
%       getvalidstructs -   Get the validstructs.



    methods  % public methods
    structure = get_structure(this,structure)
    validstructs = getvalidstructs(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = createobj(this,Hhalf)
end  % possibly private or hidden 

end  % classdef

