classdef (Abstract) abstracteqripbsord < fmethod.abstracteqripbsord
%fdfmethod.abstracteqripbsord class
%   fdfmethod.abstracteqripbsord extends fmethod.abstracteqripbsord.
%
%    fdfmethod.abstracteqripbsord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       Wpass1 - Property is of type 'posdouble user-defined'  
%       Wstop - Property is of type 'posdouble user-defined'  
%       Wpass2 - Property is of type 'posdouble user-defined'  
%       MaxPhase - Property is of type 'bool'  
%
%    fdfmethod.abstracteqripbsord methods:
%       get_maxphase - PreGet function for the 'maxphase' property.
%       thisset_maxphase - SET_MAXPHASE   PreSet function for the 'maxphase' property.


properties (Access=protected, AbortSet, SetObservable, GetObservable)
    %PRIVMAXPHASE Property is of type 'bool'
    privMaxPhase = false;
end

properties (Transient, SetObservable, GetObservable)
    %MAXPHASE Property is of type 'bool' 
    MaxPhase
end


    methods 
        function value = get.MaxPhase(obj)
        value = get_maxphase(obj,obj.MaxPhase);
        end
        function set.MaxPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical','numeric'}, {'scalar'},'','MaxPhase')
        obj.MaxPhase = set_maxphase(obj,logical(value));
        end

        function set.privMaxPhase(obj,value)
            % DataType = 'bool'
        validateattributes(value,{'logical'}, {'scalar'},'','privMaxPhase')
        obj.privMaxPhase = value;
        end

    end   % set and get functions 

    methods  % public methods
    maxphase = get_maxphase(this,~)
    maxphase = thisset_maxphase(this,maxphase)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    s = reorderdesignoptsstruct(~,s,varargin)
end  % possibly private or hidden 

end  % classdef

