function uf = set_uf(~, uf)
%SET_UF   PreSet function for the 'uf' property.

%   Copyright 2005-2019 The MathWorks, Inc.

if ischar(uf)
    if ~strcmpi(uf,'auto')
        error(message('dsp:schema:invalidUpsamplingFactor'));
    end
else
    % Not a char
    if isnumeric(uf)
        if uf~=round(uf) || uf <= 0
            error(message('dsp:schema:invalidUpsamplingFactor'));
        end
    else
        % Not numeric
        error(message('dsp:schema:invalidUpsamplingFactor'));
    end
end