classdef (Abstract) abstractlpnormsbarbresponse < fdfmethod.abstractlpnorm
%fdfmethod.abstractlpnormsbarbresponse class
%   fdfmethod.abstractlpnormsbarbresponse extends fdfmethod.abstractlpnorm.
%
%    fdfmethod.abstractlpnormsbarbresponse properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Norm - Property is of type 'posdouble user-defined'  
%       DensityFactor - Property is of type 'double'  
%       MaxPoleRadius - Property is of type 'posdouble user-defined'  
%       InitNorm - Property is of type 'posdouble user-defined'  
%       InitNum - Property is of type 'mxArray'  
%       InitDen - Property is of type 'mxArray'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       Weights - Property is of type 'double_vector user-defined'  
%
%    fdfmethod.abstractlpnormsbarbresponse methods:
%       getsosreorder - Get the sosreorder.


properties (AbortSet, SetObservable, GetObservable)
    %WEIGHTS Property is of type 'double_vector user-defined' 
    Weights = 1;
end


    methods 
        function set.Weights(obj,value)
        % User-defined DataType = 'double_vector user-defined'
        obj.Weights = value;
        end

    end   % set and get functions 

    methods  % public methods
    sosreorder = getsosreorder(~)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    help(this)
end  % possibly private or hidden 

end  % classdef

