classdef (Abstract) abstractnstages < fdfmethod.abstractmultistage
%fdfmethod.abstractnstages class
%   fdfmethod.abstractnstages extends fdfmethod.abstractmultistage.
%
%    fdfmethod.abstractnstages properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       rcf - Property is of type 'int'  
%       NStages - Property is of type 'mxArray'  
%
%    fdfmethod.abstractnstages methods:
%       get_structure -   PreGet function for the 'structure' property.
%       getvalidstructs -   Get the validstructs.
%       set_ns -   PreSet function for the 'NSTAGES' property.


properties (AbortSet, SetObservable, GetObservable)
    %NSTAGES Property is of type 'mxArray' 
    NStages = 'auto';
end


    methods 
        function set.NStages(obj,value)
        obj.NStages = set_ns(obj,value);
        end

    end   % set and get functions 

    methods  % public methods
    structure = get_structure(this,structure)
    validstructs = getvalidstructs(this)
    ns = set_ns(~,ns)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = createobj(this,Hd)
    help_halfbandmethod(this)
    help_nstages(this)
end  % possibly private or hidden 

end  % classdef

