classdef buttercombbw < fdfmethod.abstractbuttercomb
%fdfmethod.buttercombbw class
%   fdfmethod.buttercombbw extends fdfmethod.abstractbuttercomb.
%
%    fdfmethod.buttercombbw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.buttercombbw methods:
%       getdesignspecs -   Get specs needed for actual design

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = buttercombbw
        %BUTTERCOMBBW   Construct a BUTTERCOMBBW object.
        
        
        % this = fdfmethod.buttercombbw;
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % buttercombbw
        
    end  % constructor block

    methods  % public methods
    specs = getdesignspecs(this,hs)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

