classdef buttercombq < fdfmethod.abstractbuttercomb
%fdfmethod.buttercombq class
%   fdfmethod.buttercombq extends fdfmethod.abstractbuttercomb.
%
%    fdfmethod.buttercombq properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.buttercombq methods:
%       getdesignspecs -   Get specs needed for actual design

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = buttercombq
        %BUTTERCOMBBW   Construct a BUTTERCOMBQ object.
        
        
        % this = fdfmethod.buttercombq;
        
        this.DesignAlgorithm = 'Butterworth';
        
        
        end  % buttercombq
        
    end  % constructor block

    methods  % public methods
    specs = getdesignspecs(this,hs)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

