function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a 27th order minimum-multiplier highpass Butterworth halfband IIR filter.',...
    'N = 27; % Filter order must be odd',...
    'd = fdesign.halfband(''Type'',''Highpass'',''N'',N);',...
    'Hd = design(d,''butter'',''FilterStructure'',''cascadeallpass'');',...
    'fvtool(Hd)'}};

% [EOF]

