function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Copyright 2008-2019 The MathWorks, Inc.

examples = {    
    {'Design a N=4 order Butterworth parametric equalizer with center',... 
    '% frequency F0=60 Hz, a bandwidth of 5 Hz referenced to a GBW=-3 dB gain,',... 
    '% a reference gain of Gref =0 dB, and center frequency gain of G0 = -30 dB.',...
    '% The sampling frequency is 1000 Hz.',...
    'd =  fdesign.parameq(''N,F0,BW,Gref,G0,GBW'',4,60,5,0,-30,-3,1000);',...
    'Hd = design(d,''butter'');',...
    'fvtool(Hd);'}
    };

% [EOF]
