classdef ellipbpcutoffwapas < fdfmethod.abstractellipbpbscutoffwapas
%fdfmethod.ellipbpcutoffwapas class
%   fdfmethod.ellipbpcutoffwapas extends fdfmethod.abstractellipbpbscutoffwapas.
%
%    fdfmethod.ellipbpcutoffwapas properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipbpcutoffwapas methods:
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.


    methods (Static) % static methods
    this = loadobj(s)
end  % static methods 

    methods  % constructor block
        function this = ellipbpcutoffwapas
        %ELLIPBPCUTOFFWAPAS   Construct an ELLIPBPCUTOFFWAPAS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellipbpcutoffwapas;
                
        %Add dynamic properties to the class
        addsosprops(this);
        
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % ellipbpcutoffwapas
        
    end  % constructor block

    methods  % public methods
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hd = actualdesign(this,specs)
end  % possibly private or hidden 

end  % classdef

