function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a wave digital elliptic lowpass halfband IIR filter with',...
    '% a transition width of 0.06 and with a stopband attenuation of at least 80 dB.',...
    'TW = 0.06;',...
    'Ast = 80;',...
    'd = fdesign.halfband(''Type'',''Lowpass'',''TW,Ast'',TW,Ast);',...
    'Hd = design(d,''ellip'',''FilterStructure'',''cascadewdfallpass'');',...
    'fvtool(Hd)'}};

% [EOF]
