classdef elliphphalfbandmin < fdfmethod.elliphalfbandmin
%fdfmethod.elliphphalfbandmin class
%   fdfmethod.elliphphalfbandmin extends fdfmethod.elliphalfbandmin.
%
%    fdfmethod.elliphphalfbandmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.elliphphalfbandmin methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = elliphphalfbandmin
        %ELLIPHPHALFBANDMIN Construct an ELLIPHPHALFBANDMIN object

        % this = fdfmethod.elliphphalfbandmin;
        this.DesignAlgorithm = 'Elliptic';
        
        
        end  % elliphphalfbandmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

