classdef ellipparameqaudioshelfqa < fdfmethod.abstractellipparameqaudioshelf
%fdfmethod.ellipparameqaudioshelfqa class
%   fdfmethod.ellipparameqaudioshelfqa extends fdfmethod.abstractellipparameqaudioshelf.
%
%    fdfmethod.ellipparameqaudioshelfqa properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       SOSScaleNorm - Property is of type 'ustring'  
%       SOSScaleOpts - Property is of type 'fdopts.sosscaling'  
%       MatchExactly - Property is of type 'passstoporboth enumeration: {'passband','stopband','both'}'  
%
%    fdfmethod.ellipparameqaudioshelfqa methods:
%       getdesignspecs -   Get specs needed for actual design
%       getexamples -   Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ellipparameqaudioshelfqa
        %ELLIPPARAMEQ   Construct an ELLIPPARAMEQAUDIOSHELFQA object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ellipparameqaudioshelfqa;
                        %Add dynamic properties to the class
        addsosprops(this);
        this.DesignAlgorithm ='Elliptic';

        end  % ellipparameqaudioshelfqa
        
    end  % constructor block

    methods (Static) % static methods
        this = loadobj(s)
    end  % static methods

    methods  % public methods
    specs = getdesignspecs(this,hs)
    examples = getexamples(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

