classdef eqripaudioweightcmessage < fdfmethod.abstractarbmagaudioweightcmessage
%fdfmethod.eqripaudioweightcmessage class
%   fdfmethod.eqripaudioweightcmessage extends fdfmethod.abstractarbmagaudioweightcmessage.
%
%    fdfmethod.eqripaudioweightcmessage properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.eqripaudioweightcmessage methods:
%       getexamples -   Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripaudioweightcmessage 
        %EQRIPAUDIOWEIGHTCMESSAGE   Construct a EQRIPAUDIOWEIGHTCMESSAGE object.
        
        
        % this = fdfmethod.eqripaudioweightcmessage;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripaudioweightcmessage
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    [hspecsArbMag,fmethodArbMag] = getarbmagdesignobjects(this,hspecs)
    help_audioweightfir(this)
end  % possibly private or hidden 

end  % classdef

