classdef eqripdiffordmbap < fdfmethod.abstracteqripdiffordmbconstrained
%fdfmethod.eqripdiffordmbap class
%   fdfmethod.eqripdiffordmbap extends fdfmethod.abstracteqripdiffordmbconstrained.
%
%    fdfmethod.eqripdiffordmbap properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqripdiffordmbap methods:
%       getconstraints - Returns the constraints for the design
%       getexamples - Get the examples.
%       validspecobj - Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripdiffordmbap(varargin)
        %EQRIPDIFFORDMBAP Construct an EQRIPDIFFORDMBAP object.
        
        
        % this = fdfmethod.eqripdiffordmbap;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripdiffordmbap
        
    end  % constructor block

    methods  % public methods
    c = getconstraints(~,hs)
    examples = getexamples(~)
    s = validspecobj(~)
end  % public methods 

end  % classdef

