classdef eqripdiffordmbast < fdfmethod.abstracteqripdiffordmbconstrained
%fdfmethod.eqripdiffordmbast class
%   fdfmethod.eqripdiffordmbast extends fdfmethod.abstracteqripdiffordmbconstrained.
%
%    fdfmethod.eqripdiffordmbast properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%
%    fdfmethod.eqripdiffordmbast methods:
%       getconstraints - Returns the constraints for the design
%       getexamples - Get the examples.
%       validspecobj - Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqripdiffordmbast(varargin)
        %EQRIPDIFFORDMBAST Construct an EQRIPDIFFORDMBAST object.
        
        
        % this = fdfmethod.eqripdiffordmbast;
        
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqripdiffordmbast
        
    end  % constructor block

    methods  % public methods
    c = getconstraints(~,hs)
    examples = getexamples(~)
    s = validspecobj(~)
end  % public methods 

end  % classdef

