function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a 90th order halfband lowpass equiripple filter with at least ', ...
    '% 60 dB of stopband attenuation.',...
    'N = 90; % Filter Order', ...
    'Ast = 60; % Stopband Attenuation (dB)', ...
    'h  = fdesign.halfband(''Type'',''Lowpass'',''N,Ast'',N,Ast);', ...
    'Hd = design(h,''equiripple'');', ...
    'fvtool(Hd)'}};

