function help_limitedstopband(~)
%HELP_LIMITEDSTOPBAND   

%   Copyright 2009-2019 The MathWorks, Inc.

stopband_str = sprintf('%s\n%s\n%s\n\n%s\n%s\n%s\n%s', ...
    '    HD = DESIGN(..., ''StopbandShape'', SHAPE) designs a filter whose stopband', ...
    '    has the shape defined by SHAPE.  SHAPE can be ''flat'', ''linear'' or ''1/f''.', ...
    '    SHAPE is ''flat'' by default.', ...
    '    HD = DESIGN(..., ''StopbandDecay'', DECAY) specifies the decay to use when', ...
    '    ''StopbandShape'' is not set to ''flat''.  When the shape is ''1/f'' this', ...
    '    specifies the power that 1/f is raised.  When the shape is ''linear'' this', ...
    '    specifies the slope of the stopband in dB/rad/s.');

disp(stopband_str); %#ok<DSPS>
disp(' ');

% [EOF]
