classdef eqriphphbmin < fdfmethod.eqriphbmin
%fdfmethod.eqriphphbmin class
%   fdfmethod.eqriphphbmin extends fdfmethod.eqriphbmin.
%
%    fdfmethod.eqriphphbmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriphphbmin methods:
%       getexamples - Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriphphbmin
        %EQRIPHPHBMIN Construct an EQRIPHPHBMIN object
        %   OUT = EQRIPHPHBMIN(ARGS) <long description>
        
        
        % this = fdfmethod.eqriphphbmin;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphphbmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

end  % classdef

