classdef eqriphphbordntw < fdfmethod.eqriphbordntw
%fdfmethod.eqriphphbordntw class
%   fdfmethod.eqriphphbordntw extends fdfmethod.eqriphbordntw.
%
%    fdfmethod.eqriphphbordntw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DensityFactor - Property is of type 'double'  
%       MinPhase - Property is of type 'bool'  
%       ZeroPhase - Property is of type 'bool'  
%       StopbandShape - Property is of type 'stopbandshapes enumeration: {'flat','linear','1/f'}'  
%       StopbandDecay - Property is of type 'double'  
%
%    fdfmethod.eqriphphbordntw methods:
%       getexamples - Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = eqriphphbordntw
        %EQRIPHPHBORDNTW Construct an EQRIPHPHBORDNTW object
        
        
        % this = fdfmethod.eqriphphbordntw;
        this.DesignAlgorithm = 'Equiripple';
        
        
        end  % eqriphphbordntw
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

end  % classdef

