classdef firlshbordntw < fmethod.abstractfir
%fdfmethod.firlshbordntw class
%   fdfmethod.firlshbordntw extends fmethod.abstractfir.
%
%    fdfmethod.firlshbordntw properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.firlshbordntw methods:
%       getexamples - Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function h = firlshbordntw
        %FIRLSHBORDNTW   Construct a FIRLSHBORDNTW object.
        
        
        % h = fdfmethod.firlshbordntw;
        h.DesignAlgorithm = 'FIR least-squares';
        
        
        end  % firlshbordntw
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

    methods (Hidden) % possibly private or hidden
    b = actualdesign(h,hs)
    help(this)
    str = validspecobj(h)
end  % possibly private or hidden 

end  % classdef

