function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a 90th order halfband highpass FIR Least Squares filter with a ', ...
    '% transition width of .05.',...
    'N = 90; % Filter Order', ...
    'TW = .05; % Transition Width', ...
    'h  = fdesign.halfband(''Type'',''Highpass'',''N,TW'',N,TW);', ...
    'Hd = design(h,''firls'');', ...
    'fvtool(Hd)'}};

% [EOF]
