classdef freqsampaudioweightcmessage < fdfmethod.abstractarbmagaudioweightcmessage
%fdfmethod.freqsampaudioweightcmessage class
%   fdfmethod.freqsampaudioweightcmessage extends fdfmethod.abstractarbmagaudioweightcmessage.
%
%    fdfmethod.freqsampaudioweightcmessage properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.freqsampaudioweightcmessage methods:
%       getexamples -   Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = freqsampaudioweightcmessage 
        %FREQSAMPAUDIOWEIGHTCMESSAGE   Construct a FREQSAMPAUDIOWEIGHTCMESSAGE object.
        
        
        % this = fdfmethod.freqsampaudioweightcmessage;
        this.DesignAlgorithm = 'Frequency sampling';
        
        
        end  % freqsampaudioweightcmessage
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    [hspecsArbMag,fmethodArbMag] = getarbmagdesignobjects(this,~)
    help_audioweightfir(this)
end  % possibly private or hidden 

end  % classdef

