classdef ifirhpmin < fdfmethod.abstractifir
%fdfmethod.ifirhpmin class
%   fdfmethod.ifirhpmin extends fdfmethod.abstractifir.
%
%    fdfmethod.ifirhpmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       rcf - Property is of type 'int'  
%       UpsamplingFactor - Property is of type 'mxArray'  
%       JointOptimization - Property is of type 'bool'  
%
%    fdfmethod.ifirhpmin methods:
%       actualdesign -   Perform the actual design.
%       validspecobj -   Returns the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = ifirhpmin
        %IFIRHPMIN   Construct an IFIRHPMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.ifirhpmin;
        
        this.DesignAlgorithm = 'Interpolated FIR';
        
        
        end  % ifirhpmin
        
    end  % constructor block

    methods  % public methods
    varargout = actualdesign(this,hs,varargin)
    str = validspecobj(this)
end  % public methods 

end  % classdef

