classdef iirhalfbandeqripfpass < fdfmethod.abstractiirhalfbandeqrip
%fdfmethod.iirhalfbandeqripfpass class
%   fdfmethod.iirhalfbandeqripfpass extends fdfmethod.abstractiirhalfbandeqrip.
%
%    fdfmethod.iirhalfbandeqripfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.iirhalfbandeqripfpass methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirhalfbandeqripfpass
        %IIRHALFBANDEQRIPFPASS   Construct an IIRHALFBANDEQRIPFPASS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.iirhalfbandeqripfpass;
        
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirhalfbandeqripfpass
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    den = actualdesign(this,specs)
    Hd = createobj(this,den)
    help(this)
end  % possibly private or hidden 

end  % classdef

