function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a quasi linear phase minimum order lowpass halfband IIR filter with',...
    '% a transition width of 0.36 and with a stopband attenuation of at least 80 dB.',...
    'TW = 0.36;',...
    'Ast = 80;',...
    'd = fdesign.halfband(''Type'',''Lowpass'',''TW,Ast'',TW,Ast);',...
    'Hd = design(d,''iirlinphase'');',...
    'fvtool(Hd)'}};

% [EOF]
