classdef iirhalfbandeqripmin < fdfmethod.abstractiirhalfbandeqrip
%fdfmethod.iirhalfbandeqripmin class
%   fdfmethod.iirhalfbandeqripmin extends fdfmethod.abstractiirhalfbandeqrip.
%
%    fdfmethod.iirhalfbandeqripmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.iirhalfbandeqripmin methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirhalfbandeqripmin
        %IIRHALFBANDEQRIPMIN   Construct an IIRHALFBANDEQRIPMIN object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.iirhalfbandeqripmin;
        
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirhalfbandeqripmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    h = actualdesign(this,hs)
    Hd = createobj(this,Hd)
    help(this)
end  % possibly private or hidden 

end  % classdef

