classdef iirhphalfbandeqripastop < fdfmethod.iirhalfbandeqripastop
%fdfmethod.iirhphalfbandeqripastop class
%   fdfmethod.iirhphalfbandeqripastop extends fdfmethod.iirhalfbandeqripastop.
%
%    fdfmethod.iirhphalfbandeqripastop properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.iirhphalfbandeqripastop methods:
%       getexamples -   Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirhphalfbandeqripastop
        %IIRHPHALFBANDEQRIPASTOP Construct an IIRHPHALFBANDEQRIPASTOP object
        
        
        % this = fdfmethod.iirhphalfbandeqripastop;
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirhphalfbandeqripastop
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

