function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a quasi linear phase minimum order highpass halfband IIR filter with',...
    '% a transition width of 0.36 and with a stopband attenuation of at least 80 dB.',...
    'TW = 0.36;',...
    'Ast = 80;',...
    'd = fdesign.halfband(''Type'',''Highpass'',''TW,Ast'',TW,Ast);',...
    'Hd = design(d,''iirlinphase'');',...
    'fvtool(Hd)'}};

% [EOF]

