classdef iirhphalfbandeqripmin < fdfmethod.iirhalfbandeqripmin
%fdfmethod.iirhphalfbandeqripmin class
%   fdfmethod.iirhphalfbandeqripmin extends fdfmethod.iirhalfbandeqripmin.
%
%    fdfmethod.iirhphalfbandeqripmin properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       DesignMode - Property is of type 'IIRHalfbandDesignMode enumeration: {'Singlerate','Interpolator','Decimator'}'  
%
%    fdfmethod.iirhphalfbandeqripmin methods:
%       getexamples - Get the examples.
%       getvalidstructs -   Get the validstructs.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirhphalfbandeqripmin
        %IIRHPHALFBANDEQRIPMIN Construct an IIRHPHALFBANDEQRIPMIN object
        
        
        % this = fdfmethod.iirhphalfbandeqripmin;
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        
        
        end  % iirhphalfbandeqripmin
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    validstructs = getvalidstructs(this)
end  % public methods 

end  % classdef

