function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.


examples = {{ ...
    'Design a quasi linear phase IIR Hilbert transformer of 44th order ',...
    '% and a transition width of 0.1.',...
    'N = 44; % Must be a multiple of 4',...
    'TW = 0.1;',...
    'd = fdesign.hilbert(''N,TW'',N,TW);',...
    'Hd = design(d,''iirlinphase'');',...
    'fvtool(Hd)'}};

% [EOF]
