classdef iirlinphasehilbertfpass < fdfmethod.abstractiirlinphasehilbert
%fdfmethod.iirlinphasehilbertfpass class
%   fdfmethod.iirlinphasehilbertfpass extends fdfmethod.abstractiirlinphasehilbert.
%
%    fdfmethod.iirlinphasehilbertfpass properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%
%    fdfmethod.iirlinphasehilbertfpass methods:
%       getexamples -   Get the examples.
%       validspecobj -   Return the name of the valid specification object.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = iirlinphasehilbertfpass
        %IIRLINPHASEHILBERTFPASS   Construct an IIRLINPHASEHILBERTFPASS object.
        
        %   Author(s): R. Losada
        
        % this = fdfmethod.iirlinphasehilbertfpass;
        
        
        this.DesignAlgorithm = 'IIR quasi-linear phase';
        this.FilterStructure = 'cascadeallpass';
        
        
        end  % iirlinphasehilbertfpass
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
    vso = validspecobj(this)
end  % public methods 


    methods (Hidden) % possibly private or hidden
    Hhalf = actualdesign(this,specs)
    help(this)
end  % possibly private or hidden 

end  % classdef

