function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a quasi linear phase minimum-order IIR Hilbert transformer with',...
    '% a transition width of 0.1 and with a passband peak-to-peak ripple of no more than 0.1 dB.',...
    'TW = 0.1;',...
    'Ap = 0.1;',...
    'd = fdesign.hilbert(''TW,Ap'',TW,Ap);',...
    'Hd = design(d,''iirlinphase'');',...
    'fvtool(Hd)'}};

% [EOF]
