function examples = getexamples(~)
%GETEXAMPLES Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{ ...
    'Design a minimum order halfband highpass Kaiser windowed filter.', ...
    'TW = 0.1; % Transition Width', ...
    'Ast = 80; % Stopband Attenuation (dB)', ...
    'h  = fdesign.halfband(''Type'',''Highpass'',''TW,Ast'',TW,Ast);', ...
    'Hd = design(h,''kaiserwin'');', ...
    'fvtool(Hd)'}};

