function examples = getexamples(~)
%GETEXAMPLES   Get the examples.

%   Copyright 2007-2019 The MathWorks, Inc.

examples = {{...
    'Design a linear interpolation filter to convert from 44.1kHz to 48kHz.', ...
    '[L,M] = rat(48/44.1);', ...
    'h = fdesign.polysrc(L,M,''Fractional Delay'',''Np'',1);',...
    'Hd = design(h, ''lagrange'', ''FilterStructure'', ''farrowsrc'')'}...
    { ...
    'Design a cubic Lagrange SRC',...
    'h  = fdesign.polysrc(L,M,''Fractional Delay'',''Np'',3);', ...
    'Hd = design(h, ''lagrange'', ''FilterStructure'', ''farrowsrc'')'}};

% [EOF]
