classdef windowhphbord < fdfmethod.windowhbord
%fdfmethod.windowhphbord class
%   fdfmethod.windowhphbord extends fdfmethod.windowhbord.
%
%    fdfmethod.windowhphbord properties:
%       DesignAlgorithm - Property is of type 'ustring' (read only) 
%       FilterStructure - Property is of type 'ustring'  
%       Window - Property is of type 'mxArray'  
%       ScalePassband - Property is of type 'bool'  
%
%    fdfmethod.windowhphbord methods:
%       getexamples - Get the examples.

%   Copyright 2015-2020 The MathWorks, Inc.



    methods  % constructor block
        function this = windowhphbord
        %WINDOWHPHBORD Construct a WINDOWHPHBORD object
        
        
        % this = fdfmethod.windowhphbord;
        this.DesignAlgorithm = 'Window';
        
        
        end  % windowhphbord
        
    end  % constructor block

    methods  % public methods
    examples = getexamples(this)
end  % public methods 

end  % classdef

