function thisdisp(this)
%DISP   Display this object.

%   Author(s): R. Losada
%   Copyright 2005-2019 The MathWorks, Inc.

fn = fieldnames(this);

% Reorder the fields. NumSamplesProcessed, ResetStates and States in
% the end.
nidx = [5 4 1 8];
if this.PersistentMemory
    nidx = [nidx, 6, 3, 2];
end
fn = fn(nidx);

siguddutils('dispstr', this, fn);

% [EOF]
