%CONVERT Convert the structure of the discrete-time filter object.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   CONVERT(H, NEWSTRUCT) converts MFILT object H to the structure defined by
%   string NEWSTRUCT.
%
%   Example:
%     Hd1 = mfilt.firdecim;
%     Hd2 = convert(Hd1,'firtdecim');
%  
%   See also MFILT.

% Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's CONVERT method.

% [EOF]
