%FCFWRITE   Write a filter coefficient file.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   FCFWRITE(H) writes a filter coefficient ASCII-file.  H may be a single 
%   filter object or a vector of objects. A dialog box is displayed to 
%   fill in a file name. The default file name is 'untitled.fcf'. 
%
%   FCFWRITE(H,FILENAME) writes the file to a disk file called
%   FILENAME in the present working directory.
%
%   FCFWRITE(...,FMT) writes the coefficients in the format FMT. Valid FMT 
%   values are 'hex' for hexadecimal, 'dec' for decimal, or 'bin' for 
%   binary representation.
%
%   The extension '.fcf' will be added to FILENAME if it doesn't already
%   have an extension.

%   Copyright 2005-2015 The MathWorks, Inc.

% [EOF]
