%GAIN Gain of a Cascaded Integrator-Comb (CIC) filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   GAIN(Hm) is the gain of the first stage up to and including the last 
%   stage of a CIC decimation filters.
%
%   GAIN(Hm,J) is the gain of the Jth stage of a CIC interpolation filters. If 
%   empty or omitted, J is assumed to be 2*N, i.e., the gain of the last stage of
%   the filter.
%
%   See also MFILT.

%   Author: P. Costa
%   Copyright 1999-2015 The MathWorks, Inc.

% Help for the MFILT.CICDECIM & MFILT.CICINTERP gain method.

% [EOF]
