%ISFIR  True for Finite Impulse Response (FIR) multirate filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   ISFIR(Hm) returns 1 if filter Hm is FIR, and 0 otherwise.
%
%   See also MFILT/ISLINPHASE, MFILT/ISMAXPHASE, MFILT/ISMINPHASE.
  
%   Author: J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's ISFIR pcoded method.

% [EOF]
