%ISLINPHASE  True for linear phase multirate filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   ISLINPHASE(Hm) returns 1 if filter Hm is linear phase, and 0 otherwise.
%
%   ISLINPHASE(Hm,TOL) uses tolerance TOL to determine when two numbers are
%   close enough to be considered equal.
%
%   See also MFILT/ISMINPHASE, MFILT/ISMAXPHASE, MFILT/ISSTABLE.

%   Authors: J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's ISLINPHASE pcoded method.

% [EOF]
