%ISMINPHASE  True for minimum-phase multirate filter.
%
%   MFILT will be removed in a future release. Use dsp.CICDecimator,
%   dsp.CICInterpolator, dsp.FIRDecimator, dsp.FIRInterpolator,
%   dsp.FilterCascade, dsp.FarrowRateConverter, dsp.FIRRateConverter,
%   dsp.IIRHalfbandDecimator, or dsp.IIRHalfbandInterpolator instead.
%
%   ISMINPHASE(Hm) returns 1 if filter Hm is minimum phase, and 0 otherwise.
%
%   ISMINPHASE(Hm,TOL) uses tolerance TOL to determine when two numbers are
%   close enough to be considered equal.
%
%   See also MFILT/ISLINPHASE, MFILT/ISMAXPHASE, MFILT/ISSTABLE.   
  
%   Author: J. Schickler
%   Copyright 1988-2015 The MathWorks, Inc.

% Help for the filter's ISMINPHASE pcoded method.

% [EOF]
