classdef(Abstract,CaseInsensitiveProperties=true) abstractiir2report < quantum.abstractiirreport
    %quantum.abstractiir2report class
    %   quantum.abstractiir2report extends quantum.abstractiirreport.
    %
    %    quantum.abstractiir2report properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractiir2report methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %STATES Property is of type 'quantum.abstractlog'  (read only)
        States = [];
    end
    
    
    methods
        function set.States(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','States')
            obj.States = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

