classdef(Abstract,CaseInsensitiveProperties=true) abstractlog < matlab.mixin.SetGet & matlab.mixin.Copyable
    %quantum.abstractlog class
    %    quantum.abstractlog properties:
    %       Max - Property is of type 'mxArray'  (read only)
    %       Min - Property is of type 'mxArray'  (read only)
    %       NOperations - Property is of type 'mxArray'  (read only)
    %
    %    quantum.abstractlog methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %MAX Property is of type 'mxArray'  (read only)
        Max = [];
        %MIN Property is of type 'mxArray'  (read only)
        Min = [];
        %NOPERATIONS Property is of type 'mxArray'  (read only)
        NOperations = [];
    end
    
    
    methods
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        r = ratio(this,name)
    end  % possibly private or hidden
    
end  % classdef

