classdef(Abstract,CaseInsensitiveProperties=true) abstractreport < matlab.mixin.SetGet & matlab.mixin.Copyable & dynamicprops
    %quantum.abstractreport class
    %    quantum.abstractreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractreport methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (Access=protected, SetObservable)
        %DATATYPE Property is of type 'mxArray'
        DataType = [];
    end
    
    properties (SetAccess=protected, SetObservable)
        %INPUT Property is of type 'quantum.abstractlog'  (read only)
        Input = [];
        %OUTPUT Property is of type 'quantum.abstractlog'  (read only)
        Output = [];
    end
    
    
    methods
        function set.Input(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Input')
            obj.Input = value;
        end
        
        function set.Output(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','Output')
            obj.Output = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
    
    methods (Hidden) % possibly private or hidden
        dispheader(this)
    end  % possibly private or hidden
    
end  % classdef

