classdef(Abstract,CaseInsensitiveProperties=true) abstractsos2report < quantum.abstractsosreport
    %quantum.abstractsos2report class
    %   quantum.abstractsos2report extends quantum.abstractsosreport.
    %
    %    quantum.abstractsos2report properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       NumProd - Property is of type 'quantum.abstractlog'  (read only)
    %       DenProd - Property is of type 'quantum.abstractlog'  (read only)
    %       NumAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       DenAcc - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionIn - Property is of type 'quantum.abstractlog'  (read only)
    %       SectionOut - Property is of type 'quantum.abstractlog'  (read only)
    %       States - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractsos2report methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %SECTIONIN Property is of type 'quantum.abstractlog'  (read only)
        SectionIn = [];
        %SECTIONOUT Property is of type 'quantum.abstractlog'  (read only)
        SectionOut = [];
        %STATES Property is of type 'quantum.abstractlog'  (read only)
        States = [];
    end
    
    
    methods
        function set.SectionIn(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','SectionIn')
            obj.SectionIn = value;
        end
        
        function set.SectionOut(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','SectionOut')
            obj.SectionOut = value;
        end
        
        function set.States(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','States')
            obj.States = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

