classdef(Abstract,CaseInsensitiveProperties=true) abstractsymfirreport < quantum.abstractfirreport
    %quantum.abstractsymfirreport class
    %   quantum.abstractsymfirreport extends quantum.abstractfirreport.
    %
    %    quantum.abstractsymfirreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    %       Product - Property is of type 'quantum.abstractlog'  (read only)
    %       Accumulator - Property is of type 'quantum.abstractlog'  (read only)
    %       TapSum - Property is of type 'quantum.abstractlog'  (read only)
    %
    %    quantum.abstractsymfirreport methods:
    %       disp -   Display this object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    
    properties (SetAccess=protected, SetObservable)
        %TAPSUM Property is of type 'quantum.abstractlog'  (read only)
        TapSum = [];
    end
    
    
    methods
        function set.TapSum(obj,value)
            % DataType = 'quantum.abstractlog'
            validateattributes(value,{'quantum.abstractlog'}, {'scalar'},'','TapSum')
            obj.TapSum = value;
        end
        
    end   % set and get functions
    
    methods  % public methods
        disp(this)
    end  % public methods
    
end  % classdef

