classdef(CaseInsensitiveProperties=true) cicdecimreport < quantum.abstractcicreport
    %CICDECIMREPORT   Construct a CICDECIMREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.cicdecimreport class
    %   quantum.cicdecimreport extends quantum.abstractcicreport.
    %
    %    quantum.cicdecimreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = cicdecimreport(datatype,in,out,intlog,comblog)
            narginchk(5,5);
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
            this.nsections = length(intlog);
            createdynprop(this, datatype, intlog, comblog);
        end  % cicdecimreport
    end  % constructor block
end  % classdef

