classdef(CaseInsensitiveProperties=true) cquantizer < imported.embedded.quantizer
    %CQUANTIZER  Constructor for this class.
    %   CQUANTIZER is a dummy class, provided for backward compatibility in
    %   the event that users have saved a MAT file in a pre-R14 release.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.cquantizer class
    %   quantum.cquantizer extends embedded.quantizer.
    %
    %    quantum.cquantizer properties:
    %       mode - Property is of type 'quantizer Mode'
    %       datamode - Property is of type 'quantizer Mode'
    %       roundmode - Property is of type 'quantizer Round Mode'
    %       overflowmode - Property is of type 'quantizer Overflow Mode'
    %       format - Property is of type 'real point'
    %       wordlength - Property is of type 'double'
    %       fractionlength - Property is of type 'double'
    %       precision - Property is of type 'double'
    %       exponentlength - Property is of type 'double'
    %       max - Property is of type 'double'
    %       min - Property is of type 'double'
    %       maxlog - Property is of type 'double'
    %       minlog - Property is of type 'double'
    %       noverflows - Property is of type 'double'
    %       nunderflows - Property is of type 'double'
    %       noperations - Property is of type 'double'
    %       denormalmax - Property is of type 'double'
    %       denormalmin - Property is of type 'double'
    %       eps - Property is of type 'double'
    %       exponentbias - Property is of type 'double'
    %       exponentmax - Property is of type 'double'
    %       exponentmin - Property is of type 'double'
    %       realmax - Property is of type 'double'
    %       realmin - Property is of type 'double'
    %       version - Property is of type 'int'
    %       Tag - Property is of type 'string'
    
    
    
    methods  % constructor block
        function this = cquantizer
        end  % cquantizer
        
    end  % constructor block
end  % classdef

