classdef(CaseInsensitiveProperties=true) delayreport < quantum.abstractreport
    %DELAYREPORT   Construct a DELAYREPORT object.

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %quantum.delayreport class
    %   quantum.delayreport extends quantum.abstractreport.
    %
    %    quantum.delayreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = delayreport(datatype,in,out)
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
        end  % delayreport
        
    end  % constructor block
end  % classdef

