function df1_thisloadobj(this, s)
%DF1_THISLOADOBJ   

%   Author(s): J. Schickler
%   Copyright 1999-2004 The MathWorks, Inc.

this.OutputWordLength = s.OutputWordLength;
this.OutputFracLength = s.OutputFracLength;

this.ProductMode = s.ProductMode;
switch lower(this.ProductMode)
    case 'specifyprecision'
        this.ProductWordLength = s.ProductWordLength;
        this.NumProdFracLength = s.NumProdFracLength;
        this.DenProdFracLength = s.DenProdFracLength;
    case {'keeplsb', 'keepmsb'}
        this.ProductWordLength = s.ProductWordLength;
end

this.AccumMode = s.AccumMode;
switch lower(this.AccumMode)
    case 'specifyprecision'
        this.AccumWordLength = s.AccumWordLength;
        this.NumAccumFracLength = s.NumAccumFracLength;
        this.DenAccumFracLength = s.DenAccumFracLength;
        this.CastBeforeSum = s.CastBeforeSum;
    case {'keeplsb', 'keepmsb'}
        this.AccumWordLength = s.AccumWordLength;
        this.CastBeforeSum = s.CastBeforeSum;
end

if ~this.CoeffAutoScale
    this.NumFracLength = s.NumFracLength;
    this.DenFracLength = s.DenFracLength;
end

% [EOF]
