classdef(CaseInsensitiveProperties=true) fixedholdinterpfilterq < quantum.abstractfixeddelayholdfilterq
    %quantum.fixedholdinterpfilterq class
    %   quantum.fixedholdinterpfilterq extends quantum.abstractfixeddelayholdfilterq.
    %
    %    quantum.fixedholdinterpfilterq properties:
    %       InputWordLength - Property is of type 'mxArray'
    %       InputFracLength - Property is of type 'mxArray'
    %       OutputWordLength - Property is of type 'posint user-defined'  (read only)
    %       OutputFracLength - Property is of type 'int32'  (read only)
    %
    %    quantum.fixedholdinterpfilterq methods:

%   Copyright 2018-2020 The MathWorks, Inc.
    
    methods (Hidden) % possibly private or hidden
        Head = firinterpheader_order0(q,num,interp_order,H,info)
        y = holdinterpfilter(q,L,x,ny,nchans)
        S = quantizestates(q,S)
    end  % possibly private or hidden
    
end  % classdef

