classdef(CaseInsensitiveProperties=true) holdinterpreport < quantum.abstractreport
    %HOLDINTERPREPORT   Construct a HOLDINTERPREPORT object.
    %quantum.holdinterpreport class
    %   quantum.holdinterpreport extends quantum.abstractreport.
    %
    %    quantum.holdinterpreport properties:
    %       Input - Property is of type 'quantum.abstractlog'  (read only)
    %       Output - Property is of type 'quantum.abstractlog'  (read only)

%   Copyright 2018-2020 The MathWorks, Inc.
    
    %   Author(s): V. Pellissier
    
    methods  % constructor block
        function this = holdinterpreport(datatype,in,out)
            this.DataType = datatype;
            this.Input = in;
            this.Output = out;
        end  % holdinterpreport
    end  % constructor block
end  % classdef

