function decf = setdecimationfactor(this, decf)
%SETDECIMATIONFACTOR   PreSet function for the 'decimationfactor' property.

%   Copyright 1999-2019 The MathWorks, Inc.

switch lower(this.Type)
    case 'decimator'
        set(this, 'decimDecimationFactor', decf);
    case 'interpolator'
        return;
    case 'fractional-rate converter'
        set(this, 'srcDecimationFactor', decf);
end

set(this, 'isDesigned', false);

