function this = xformtool(filtobj)
%XFORMTOOL Create an XFormTool object

%   Author(s): J. Schickler
%   Copyright 1999-2005 The MathWorks, Inc.

narginchk(1,1);

if ~isa(filtobj, 'dfilt.singleton')
    error(message('dsp:fdtbxgui:fdtbxgui:FilterErr'));
end

this = fdtbxgui.xformtool;

settag(this);

this.Filter = filtobj;

% [EOF]
